<?

/***************************************************************************
* Picture/News Gallery Version 0.5.0b (axiom)                              *
*       Copyright (c) 2002 BY Geoffrey Golliher <cid441@hotmail.com>       *
*   please see licence.txt for usage                                       *
*       Creation Date 04/20/2001                                           *
*                                                                          *
* This program is free software. You can redistribute it and/or modify     *
* it under the terms of the GNU General Public License as published by     *
* the Free Software Foundation; either version 2 of the License.           *
***************************************************************************/
//script name adminFunctions.inc
if (eregi("adminFunctions.inc",$PHP_SELF))
{
  Header("Location: index.php");
  die();
}

function makeAlbum($newAlbum, $albumSettings){
  global $PHP_AUTH_USER,
         $galleryAdmin,
         $galleryUser,
         $PHPSESSID,
         $databasePath,
         $directory,
         $description;
 
  $isAdmin = validateAdmin($galleryAdmin, $PHPSESSID);
  $isUser  = validateUser($galleryUser, $PHPSESSID);

  if($isAdmin)
  {
    $newAlbum  = stripslashes($newAlbum); 
    $newAlbum  = str_replace(" ", "_", $newAlbum);
    $newAlbum  = str_replace(":", "_", $newAlbum);
    $newAlbum  = str_replace("'", "_", $newAlbum); 
    $newAlbum  = str_replace('"', "_", $newAlbum); 
    $description = stripslashes($description);
    $description = strip_tags($description, '<br><a><b><i><u>');
    $description = str_replace(":", ".", $description);
    $description = str_replace("\n", "<br>", $description); 
    $theDate   = date("F j, Y");
    $albumList = "$databasePath/axiom-data/$directory/albumlist.txt";
    mkdir("$newAlbum", 0777);
    $fp = @fopen($newAlbum."/index.html", 'w');
    fputs($fp, "Not Allowed");
    fclose($fp);
    mkdir("$newAlbum/thumb", 0777);
    $fp = @fopen($newAlbum."/thumb/index.html", 'w');
    fputs($fp, "Not Allowed");
    fclose($fp);
    mkdir("$newAlbum/big", 0777);
    $fp = @fopen($newAlbum."/big/index.html", 'w');
    fputs($fp, "Not Allowed");
    fclose($fp);
    $fp = fopen($albumList, "a");
    flock($fp, 2);
    fputs($fp, $newAlbum.":".$albumSettings.":".$description.":0:".$theDate.":".$PHP_AUTH_USER."\n");
    flock($fp, 3);
    fclose($fp);
    recordAlbumUserList($newAlbum, $PHP_AUTH_USER);
    return 1;
  }
}

function checkAlbumLimit($limit){
  global $directory,
         $databasePath;

    $albumList        = "$databasePath/axiom-data/$directory/albumlist.txt";
    $albumCountString = join('', file($albumList));
    $albumCountArray  = explode("\n", $albumCountString);
    $albumCount       = 0;
    for($i=0;$i<count($albumCountArray);$i++)
    {
      if($albumCountArray[$i] != "")
      {
        $albumCount++;
      }
    }
    if($limit != "")
    {
      if($albumCount > $limit)
      {
        $buffer = 0; 
      }
      else
      {
        $buffer = 1;
      }
    }
    else
    {
      $buffer = 1;
    }
    return $buffer;
}

function mkAlbumForm($albumNew, $maxAlbumsPerUser, $directory, $user, $albumSetting){

   global $PHP_AUTH_PW,
          $galleryAdmin,
          $galleryUser,
          $PHPSESSID,
          $databasePath;

  $isAdmin = validateAdmin($galleryAdmin, $PHPSESSID);
  $isUser  = validateUser($galleryUser, $PHPSESSID);
  
  $errorstr = "<font color=red><b>you are not allowed to do this!</b></font>";
  if(isset($albumNew))
  {
    $albumList = "$databasePath/axiom-data/$directory/albumlist.txt";
    $checkLimit = checkAlbumLimit($maxAlbumsPerUser);
    if(!$checkLimit)
    {
      $display = "<div align=\"center\">
             <p><br>
             <font size=\"2\"><b><font face=\"Verdana, Arial, Helvetica, sans-serif\">You have
             exceeded the limit ($maxAlbumsPerUser) for the number of albums allowed in your Gallery.<br>
             Please remove some albums if you wish to continue.</font></b></font></p>
             <font size=\"2\"><b>
             <font face=\"Verdana, Arial, Helvetica, sans-serif\"><a href=\"#\" onClick=\"history.go(-1)\">&lt;&lt;-
             back <br>
             </a>
             <hr noshade size=\"1\">
             </font></b></font> </div>";
    }
    $albumSuccess = makeAlbum($albumNew, $albumSetting);
    if($albumSuccess)
    { 
      echo "<div align=\"center\"><b>The album $albumNew was created.</b></div>";
    }
  }
  else
  {
    $display = "<div align=left style=\"padding:60px\">"
               ."<form name=\"makeAlbum\" action=\"$PHP_SELF\" method=\"post\">"
               ."Enter a name for your new album<BR>"
               ."<input type=\"text\" name=\"albumNew\">&nbsp;<BR>\n"
               ."Please enter a description of the album contents.<br>"
               ."<textarea name=\"description\" cols=30 rows=6></textarea><br>"
               ."pick a level of access for your new album<BR>"
               ."meaning you can limit who can upload pictures to this album<BR>"
               ."level 1 = you only;<BR>\n"
               ."level 2 = registered users and you only;<BR>\n"
               ."level 3 = anyone;<BR>\n"
               ."<select name=\"albumSetting\">\n"
               ."<option value=\"l1\">Level 1</option>\n"
               ."<option value=\"l2\" selected>Level 2</option>\n"
               ."<option value=\"l3\">Level 3</option>\n"
               ."</select><BR><BR>"
               ."<input type=\"submit\" value=\"submit\">"
               ."<input type=\"hidden\" name=\"action\" value=\"mkAlbumForm\">"
               ."</form></div>"
               ."<BR>Other Albums Found<br><hr size=\"1\"><br>";
    if($isAdmin)
    {
      echo $display;
    }
    else
    {
      echo $errorstr;
    }
    $albumList  = "$databasePath/axiom-data/$directory/albumlist.txt";
    $albumFile  = join('', file($albumList));
    $albumArray = explode("\n", $albumFile);
    if($galleryAdmin)
    {
      echo "<div width=\"150\" align=\"left\">";
      for($i=0;$i<count($albumArray);$i++)
      {
        if($albumArray[$i])
        {
          $albumRealName = explode(":", $albumArray[$i]);
          echo "Album name: ".$albumRealName[0]."<BR>";
        }
      }
      echo "</div>";
    }
  }
}

function removeAlbumList(){
 global $PHP_SELF,
        $directory,
        $PHP_AUTH_USER,
        $galleryAdmin,
        $galleryUser,
        $PHPSESSID,
        $databasePath;
 
 $isAdmin = validateAdmin($galleryAdmin, $PHPSESSID);
 $isUser  = validateUser($galleryUser, $PHPSESSID); 
 $prefs   = checkPrefs($directory);
 $errorstr = "<font color=red><b>you are not allowed to do this!</b></font>";
 $albumList = "$databasePath/axiom-data/$directory/albumlist.txt";
 $albumFile = join('', file($albumList));
 $albumArray = explode("\n", $albumFile);
 $buffer = "<form name=\"choose\" method=\"post\" action=\"$PHP_SELF\">"
         ."<select name=\"dirDelete\">"
         ."<option value=\"\" selected>Choose an Album</option>";
 for($i=0;$i<count($albumArray);$i++)
 {
   if($albumArray[$i])
   {
    $albumRealName = explode(":", $albumArray[$i]);
     if($albumRealName[0] != "" && $albumRealName[0] != trim($prefs[8]))
     {
       $buffer .= "<option value=\"".$albumRealName[0]."\">".$albumRealName[0]."</option>\n";
     }
   }
 }
 $prefs = checkPrefs($directory);
 $buffer .= "</select>\n";
 $buffer .= "<input type=\"hidden\" name=\"action\" value=\"removeAlbum\">";
 $buffer .= "<input type=\"submit\" name=\"submit\" value=\"submit\">";
 $buffer .= "<input type=\"hidden\" name=\"delAlbum\" value=\"".$prefs[8]."\">";
 $buffer .= "</form>";
 if($isAdmin)
 {
   return($buffer);
 }
 else
 {
   return($errorstr);
 } 
}

function removeAlbum($submit, $dirDelete, $directory){
  global $galleryAdmin,
         $galleryUser,
         $PHPSESSID,
         $databasePath;

  $isAdmin = validateAdmin($galleryAdmin, $PHPSESSID);
  $isUser  = validateUser($galleryUser, $PHPSESSID); 
  $errorstr = "<font color=red><b>You are not allowed to do this.</b></font>";
  $list = removeAlbumList();
  if($submit && $isAdmin)
  {
    if(!$dirDelete)
      die("you must choose an album.");
    if(isset($dirDelete))
    {
      $dirDelete = urldecode($dirDelete);
      $images = openDirectory($dirDelete."/thumb");
      $decNumber = count($images);
      removeImageUserList($dirDelete, $directory, $decNumber); 
      shell_exec("rm -r \"$dirDelete\"");
      $albumList = "$databasePath/axiom-data/$directory/albumlist.txt";
      $alString  = join('', file($albumList));
      $alArray   = explode("\n", $alString);
      $fp        = fopen($albumList, "w");
      flock($fp, 2);
      for($i=0;$i<=count($alArray);$i++)
      {
        $alRealName = explode(":", $alArray[$i]);
        if($alRealName[0] === $dirDelete)
        {
          unset($alArray[$i]);
        }
        if($alArray[$i])
        {
          fputs($fp, $alArray[$i]."\n");
        }
      }
      flock($fp, 3);
      fclose($fp);
      removeAlbumUserList($dirDelete, $directory); 
      $commentFile       = "$databasePath/axiom-data/$directory/imagecomments.txt";
      $userCommentFile   = "$databasePath/axiom-data/$directory/usercomments.txt";
      $imageComments     = getContentsWrite($commentFile);
      $userImageComments = getContentsWrite($userCommentFile);
      $dirID             = $imageComments["TITLE"];
      $fp                = fopen($commentFile, 'w');
      flock($fp, 2);
      for($i=1;$i<=count($dirID);$i++)
      {
        $identifier   = $imageComments["ID"][$i];
        $imageAlbum   = $imageComments["TITLE"][$i];
        $imageComment = $imageComments["MAIN"][$i];
        $imageDate    = $imageComments["DATE"][$i];
        $imageAuthor  = $imageComments["AUTHOR"][$i];
        $imageVeiws   = $imageComments["VEIWS"][$i];
        $imageRating  = $imageComments["RATE"][$i];
        $imageVotes   = $imageComments["VOTES"][$i];
        $imageVotes   = trim($imageVotes);
        $imageVotes   = chop($imageVotes);
        if($dirDelete === $imageAlbum)
        {
          unset($identifier);
          unset($imageAlbum);
          unset($imageComment);
          unset($imageDate);
          unset($imageAuthor);
          unset($imageVeiws);
          unset($imageRating);
          unset($imageVotes);
        }
        for($j=1;$j<=count($identifier);$j++)
        {
          $newCommentString = $identifier."||".$imageAlbum."||".$imageComment."||".$imageDate."||".$imageAuthor."||".$imageVeiws."||".$imageRating."||".$imageVotes."\n";
          fputs($fp, $newCommentString);
        }
      }
      flock($fp, 3);
      fclose($fp);
      $dirID = $userImageComments["VEIWS"];
      $fp    = fopen($userCommentFile, 'w');
      flock($fp, 2);
      for($i=1;$i<=count($dirID);$i++)
      {
        $identifier   = $userImageComments["ID"][$i];
        $imageAlbum   = $userImageComments["TITLE"][$i];
        $imageComment = $userImageComments["MAIN"][$i];
        $imageDate    = $userImageComments["DATE"][$i];
        $imageAuthor  = $userImageComments["AUTHOR"][$i];
        $imageVeiws   = $userImageComments["VEIWS"][$i];
        $imageRating  = $userImageComments["RATE"][$i];
        $imageVotes   = $userImageComments["VOTES"][$i];
        $imageVotes   = trim($imageVotes);
        $imageVotes   = chop($imageVotes);
        if($dirDelete === $imageVeiws)
        {
          unset($identifier);
          unset($imageAlbum);
          unset($imageComment);
          unset($imageDate);
          unset($imageAuthor);
          unset($imageVeiws);
          unset($imageRating);
          unset($imageVotes);
        }
        for($j=1;$j<=count($identifier);$j++)
        {
          $newCommentString = $identifier."||".$imageAlbum."||".$imageComment."||".$imageDate."||".$imageAuthor."||".$imageVeiws."||".$imageRating."||".$imageVotes."\n";
        fputs($fp, $newCommentString);
        }
      }
      echo "Album has been removed.<BR>Remove another?<BR><BR>";
      $listUpdate = removeAlbumList();
      echo $listUpdate;
    }
  }
  if(!$submit && $isAdmin)
  {
    echo "Choose an album to remove:<BR>";
    echo $list;
  }
  if(!$submit && !$isAdmin) 
  {
    echo $errorstr;
  }
}

function editAlbum($databasePath){
  global $galleryAdmin,
         $galleryUser,
         $PHPSESSID,
         $directory,
         $editedAlbum;

  $isAdmin = validateAdmin($galleryAdmin, $PHPSESSID);
  $albumList  = "$databasePath/axiom-data/$directory/albumlist.txt";
  $albumFile  = join('', file($albumList));
  $albumArray = explode("\n", $albumFile);
  foreach($albumArray as $value)
  { 
    if($value)
    { 
      $albums = explode(":", $value);
      $list[] = "<option value=\"".$albums[0]."\">".$albums[0]."</option>";
      if($editedAlbum === $albums[0])
      {
        $description = $albums[2];
      }
    }
  }
  if(!$editedAlbum)
  {
    $description = str_replace("<br>", "\n", $description);
    $display = "<div align=center style=\"padding:60px\">"
               ."<form name=\"selectAlbum\" action=\"$PHP_SELF\" method=\"post\">"
               ."Choose an Album:<BR>"
               ."<select name=editedAlbum>\n";
               foreach($list as $albumList)
               {
                 $display .= $albumList;
               }
               $display .= "</select><br><br>"
                        ."<input type=\"submit\" value=\"submit\">"
                        ."<input type=\"hidden\" name=\"action\" value=\"editAlbum\">"
                        ."</form></div>";
  }
  else
  {
   $display =  "<div align=left style=\"padding:60px\">"
               ."Editing album: $editedAlbum"
               ."<form name=\"changeAlbum\" action=\"$PHP_SELF\" method=\"post\">"
               ."Description of the album contents.<br>"
               ."<textarea name=\"description\" cols=30 rows=6>$description</textarea><br>"
               ."pick a level of access for your new album<BR>"
               ."meaning you can limit who can upload pictures to this album<BR>"
               ."level 1 = you only;<BR>\n"
               ."level 2 = registered users and you only;<BR>\n"
               ."level 3 = anyone;<BR>\n"
               ."<select name=\"albumSetting\">\n"
               ."<option value=\"l1\">Level 1</option>\n"
               ."<option value=\"l2\" selected>Level 2</option>\n"
               ."<option value=\"l3\">Level 3</option>\n"
               ."</select><BR><BR>"
               ."<input type=\"submit\" value=\"submit\">"
               ."<input type=hidden name=editedAlbum value=$editedAlbum>"
               ."<input type=\"hidden\" name=\"action\" value=\"changeAlbum\">"
               ."</form></div>";
  }
  echo $display;
}

function changeAlbum($editedAlbum, $albumSetting, $description, $databasePath, $directory){
  global $galleryAdmin,
         $galleryUser,
         $PHPSESSID;

  $isAdmin     = validateAdmin($galleryAdmin, $PHPSESSID);
  $albumList   = "$databasePath/axiom-data/$directory/albumlist.txt";
  $albumFile   = join('', file($albumList));
  $albumArray  = explode("\n", $albumFile);
  $description = stripslashes($description);
  $description = strip_tags($description, '<br><a><b><i><u>'); 
  $description = str_replace(":", ".", $description);
  $description = str_replace("\n", "<br>", $description);
  $fp = fopen($albumList, 'w');
  flock($fp, 2);
  foreach($albumArray as $value)
  {
    $albums = explode(":", $value);
    if($editedAlbum === $albums[0])
    {
      $albums[2] = $description;
      $albums[1] = $albumSetting;
    }
  if($albums[0])
  {
    fputs($fp, $albums[0].":".$albums[1].":".$albums[2].":".$albums[3].":".$albums[4].":".$albums[5]."\n");
  }
  }
  echo "Album has been updated.";
}


function preferenceForm($user, $directory, $formAction){
  global $PHP_AUTH_PW,
         $galleryAdmin,
         $galleryUser,
         $PHPSESSID,
         $databasePath;
  
  $isAdmin = validateAdmin($galleryAdmin, $PHPSESSID);
  $isUser  = validateUser($galleryUser, $PHPSESSID);
  $errorstr = "<font color=red><b>you are not allowed to do this!</b></font>";

  $userPrefArray = checkPrefs($directory);
  if($userPrefArray[0])
  {
    $newsSelectOn = "selected";
  }
  else 
  {
    $newsSelectOff = "selected";
  }
  if($userPrefArray[1])
  {
    $ratingSelectOn = "selected";
  }
  else
  {    
    $ratingSelectOff = "selected";
  }  
  if($userPrefArray[2])
  {
    $commentSelectOn = "selected";
  }
  else
  {
    $commentSelectOff = "selected";
  }
  if($userPrefArray[3])
  {
    $scrollSelectOn = "selected";
  }
  else
  {
    $scrollSelectOff = "selected";
  }
  if($userPrefArray[6])
  {
    $selectInviteOnlyOn = "selected";
  }
  else
  {
    $selectInviteOnlyOff = "selected";
  }
  if($userPrefArray[4] === "1")
  {
    $newsProtectSelect1 = "selected";
  }
  if($userPrefArray[4] === "2") 
  {
    $newsProtectSelect2 = "selected";
  }
  if($userPrefArray[4] === "3")
  {
    $newsProtectSelect3 = "selected";
  } 
   if($userPrefArray[7])
  {
    $selectPublicOn = "selected";
  }
  else
  {
    $selectPublicOff = "selected";
  }
  $albumList  = "$databasePath/axiom-data/$directory/albumlist.txt";
  $albumFile  = join('', file($albumList));
  $albumArray = explode("\n", $albumFile);
  foreach($albumArray as $value)
  {
    if($value)
    {
      $albums = explode(":", $value);
      if($albums[0] === $userPrefArray[8])
      {
        $select = "selected";
      }
      else
      {
        $select = "";
      }
      $list[] = "<option value=\"".$albums[0]."\" ".$select.">".$albums[0]."</option>\n";
    }
  }

$p = "<table width=70% cellpadding=8 cellspacing=0 border=0>\n"
     ."<form name=\"prefs\" action=\"$PHP_SELF\" method=\"post\">\n"
     ."<tr>\n"
     ."<td valign=top align=left>\n"
     ."<b>Current Preference Settings</b>"
     ."<hr size=1>"
     ."</td>"
     ."</tr>"
     ."<tr>"
     ."<td>"
     ."News Feature: "
     ."</td><td>"
     ."<select name=\"newsOn\">\n"
     ."<option value=\"1\" $newsSelectOn>On</option>\n"
     ."<option value=\"0\" $newsSelectOff>Off</option><BR><BR>\n"
     ."</select>\n"
     ."</td>\n"
     ."</tr>\n"
     ."<tr>\n"
     ."<td>\n"
     ."Scrolling/List News Feature: "
     ."</td>\n"
     ."<td>\n"
     ."<select name=\"scrollOn\">\n"
     ."<option value=1 $scrollSelectOn>On</option>\n"
     ."<option value=0 $scrollSelectOff>Off</option>\n"
     ."</select>\n"
     ."</td>"
     ."</tr>"
     ."<tr>"
     ."<td>"
     ."Rating Feature: "
     ."</td>"
     ."<td>"
     ."<select name=\"ratingOn\">\n"
     ."<option value=1 $ratingSelectOn>On</option>\n"
     ."<option value=0 $ratingSelectOff>Off</option>\n"
     ."</select>\n"
     ."</td>"
     ."</tr>"
     ."<tr>"
     ."<td>"
     ."Comment Feature: "
     ."</td>"
     ."<td>"
     ."<select name=\"commentOn\">\n"
     ."<option value=1 $commentSelectOn>On</option>\n"
     ."<option value=0 $commentSelectOff>Off</option>\n"
     ."</select>\n"
     ."</td>\n"
     ."</tr>\n"
     ."<tr>\n"
     ."<td>\n"
     ."Invite Only\n"
     ."</td>\n"
     ."<td>\n"
     ."<select name=\"inviteOnly\">\n"
     ."<option value=1 $selectInviteOnlyOn>On</option>\n"
     ."<option value=0 $selectInviteOnlyOff>Off</option>\n"
     ."</select>\n"
     ."</td>"
     ."</tr>"
     ."<tr>"
     ."<td>"
     ."Public Gallery: "
     ."</td><td>"
     ."<select name=\"publicOn\">\n"
     ."<option value=\"1\" $selectPublicOn>On</option>\n"
     ."<option value=\"0\" $selectPublicOff>Off</option><BR><BR>\n"
     ."</select>\n"
     ."</td>\n"
     ."</tr>\n"
     ."<tr>\n"
     ."<td>\n"
     ."Protect News Uploads: \n"
     ."</td>\n"
     ."<td>\n"
     ."<select name=\"newsProtect\">\n"
     ."<option value=\"1\" $newsProtectSelect1>Level 1</option>\n"
     ."<option value=2 $newsProtectSelect2>Level 2</option>\n"
     ."<option value=3 $newsProtectSelect3>Level 3</option>\n"
     ."</select>\n"
     ."</td>\n"
     ."</tr>\n"
     ."<tr>\n"
     ."<td>\n"
     ."Title of Site: \n"
     ."</td>\n"
     ."<td>\n"
     ."<input type=text name=\"siteTitle\" value=\"$userPrefArray[5]\">\n"
     ."</td>\n"
     ."</tr>\n"
     ."<tr>\n"
     ."<td>\n"
     ."Default album: \n"
     ."</td>\n"
     ."<td>\n"
     ."<select name=\"defaultAlbum\">\n";
     foreach($list as $albumList)
     {
       $p .= $albumList;
     }
    $p .= "</select><br>\n"
     ."</td>\n"
     ."</tr>\n"
     ."<tr>\n"
     ."<td>\n"
     ."<input type=submit name=submit value=submit>\n"
     ."<input type=reset name=reset value=reset>\n"
     ."<input type=hidden name=action value=setPrefs>\n"
     ."</form>\n"
     ."</td>\n"
     ."</tr>\n"
     ."</table>\n";
  if($isAdmin)
    echo $p;
  else
    echo $errorstr;
}

function batchConvertAlbumList(){
 global $PHP_SELF,
        $directory,
        $PHP_AUTH_USER,
        $galleryAdmin,
        $galleryUser,
        $PHPSESSID,
        $databasePath;

 $isAdmin = validateAdmin($galleryAdmin, $PHPSESSID);
 $errorstr = "<font color=red><b>you are not allowed to do this!</b></font>";
 $albumList = "$databasePath/axiom-data/$directory/albumlist.txt";
 $albumFile = join('', file($albumList));
 $albumArray = explode("\n", $albumFile);
 $buffer = "<b>Please select the album in which you would like the images.</b>" 
           ."<form name=\"choose\" method=\"post\" action=\"$PHP_SELF\">"
           ."<select name=\"batchAlbum\">"
           ."<option value=\"\" selected>Choose an Album</option>";
 for($i=0;$i<count($albumArray);$i++)
 {
   if($albumArray[$i])
   {
    $albumRealName = explode(":", $albumArray[$i]);
     if($albumRealName[0] != "")
     {
       $buffer .= "<option value=\"".$albumRealName[0]."\">".$albumRealName[0]."</option>\n";
     }
   }
 }
 $buffer .= "</select>\n";
 $buffer .= "<input type=\"hidden\" name=\"action\" value=\"batchConvert\">";
 $buffer .= "<input type=\"submit\" name=\"submit\" value=\"submit\">";
 $buffer .= "</form>";
 $buffer .= "<br><br><div align=left>For this feature to work you must have images in the ftp directory that was created when you created the gallery. If you do not have ftp or secure copy access to the ftp directory then this feature will not work.</div>";
 if($isAdmin)
 {
   echo $buffer;
 }
 else
 {
   echo $errorstr;
 }
}

function removeUsers($databasePath, $directory){
  global $galleryAdmin,
         $PHPSESSID,
         $removeUser,
         $Submit;

  $isAdmin  = validateAdmin($galleryAdmin, $PHPSESSID); 
  $userinfo = "$databasePath/axiom-data/$directory/userinfo.dat";
  $passlist = "$databasePath/axiom-data/$directory/passlist.dat";
  if($Submit && $isAdmin)
  {
    $userInfoArray = file($userinfo);
    $fp = fopen($userinfo, 'w');
    flock($fp, 2);
    foreach($userInfoArray as $value)
    {
      if($value)
      {
        $thisUserInfo = explode("||", $value);
        if($thisUserInfo[0] === $removeUser)
        {
          $value = "";
        }
      }
      if($value)
        fputs($fp, $value);
    }
    flock($fp, 3);
    fclose($fp);
    
    $userInfoArray = file($passlist);
    $fp = fopen($passlist, 'w');
    flock($fp, 2);
    foreach($userInfoArray as $value)
    {
      if($value)
      {
        $thisUserInfo = explode(":", $value);
        if($thisUserInfo[0] === md5($removeUser))
        {
          $value = "";
        }
      }
      if($value)
        fputs($fp, $value);
    }
    flock($fp, 3);
    fclose($fp);
    echo "User $removeUser was removed.";
  } 
  if(!$Submit && $isAdmin)
  {
    $userInfoArray = file($userinfo);
    foreach($userInfoArray as $value)
    {
      if($value)
      {
        $thisUserInfo = explode("||", $value);
        if($thisUserInfo[0] != $directory)
        {
          $list[] = "<option value=\"$thisUserInfo[0]\">$thisUserInfo[0]</option>";
        }
      }
    }
    echo "<form name=removeUsers method=post action=$PHP_SELF>\n"
         ."<b>Please select a user to remove.</b><br>\n"
         ."<select name=removeUser>\n";
         foreach($list as $userList)
         {
           echo "$userList";
         }
   echo "</select><br><br>\n"
        ."<input type=submit value=Submit name=Submit>"
        ."<input type=hidden name=action value=removeUsers>"
        ."</form>";
              
  }
}

?>
