<?

ob_start("ob_gzhandler");

/***************************************************************************
* Picture/News Gallery Version 0.5.0b (axiom)                              *
*	Copyright (c) 2002 BY Geoffrey Golliher	<cid441@hotmail.com>       *
*   please see licence.txt for usage					   *
*	Creation Date 04/20/2001					   *
*                                                                          *
* This program is free software. You can redistribute it and/or modify     *
* it under the terms of the GNU General Public License as published by     *
* the Free Software Foundation; either version 2 of the License.           *
***************************************************************************/

include_once("../dbFunctions.inc");
include_once("../config.inc");
include_once("../preferenceFunctions.inc");
include_once("../validateFunctions.inc");
include_once("../newsFunctions.inc");
include_once("../pictureFunctions.inc");
include_once("../commentFunctions.inc");
include_once("../voteFunctions.inc");
include_once("../adminFunctions.inc");
include_once("../getBrowser.inc");
include_once("../checkAdmin.inc");
include_once("../userRegFunctions.inc");
include_once("../batchConvertFunctions.inc");

foreach ($HTTP_GET_VARS as $getVal) 
{
  if (eregi("<[^>]*script*\"?[^>]*>", $getVal)) 
  {
    die ("Think about this...");
  }
}

if (eregi("mainfile.php",$PHP_SELF)) 
{
  Header("Location: index.php");
  die();
}

if(!$PHP_AUTH_USER)
{
  $PHP_AUTH_USER = "Guest";
}

function mtime()
 {
  $mtime = microtime();
  $mtime = str_replace('.', '', $mtime);
  $mtime = explode(' ', $mtime);
  $mtime = $mtime[1];

  return($mtime);
 }

function getRanId($salt, $len) {
  srand((double)microtime()*1000000);
  $characters_length = (strlen($salt)-1)/2;
  $token             = explode(",",$salt);
  $identLen          = $len;   // length of the password

  for($i=0;$i<$identLen;$i++)
  {
    $rand  = rand(0,$characters_length);
    $ID   .= $token[$rand];
  }
  return($ID);
}

//sub-routine to open and sort contents of a directory.
function openDirectory($dir) {
  if(!($dp = opendir($dir))) 
  die("can't open $dir");
    while($file = readdir($dp)) 
      if(($file != ".") && ($file != "..") && ($file != "") && ($file != "index.html"))
        $filenames[] = $file;
  closedir($dp);
  @sort($filenames);
  return($filenames);
}

//sub-routine to open and reverse sort contents of a directory.
function openDirectoryRev($dir) {
  if(!($dp = opendir($dir)))
  die("can't open $dir");
    while($file = readdir($dp))
      if(($file != ".") && ($file != "..") && ($file != "") && ($file != "index.html"))
        $filenames[] = $file;
  closedir($dp);
  @rsort($filenames);
  return($filenames);
}

function getNextPrev(){
  global $image_dir,
         $album,
	 $filename,
	 $filenames,
	 $pimage,
	 $nimage,
         $action;

  $image_dir = "$album/thumb/";
  $this_dir  = "./";
  if(!isset($filename))
  {
    $picNav = "No picture selected.";
  }
  if(isset($filename))
  {
    $filenames = openDirectoryRev($image_dir);
    for($i=0; $i < count($filenames); $i++)
      if($filenames[$i] == $filename)
      {
        $pimage = $filenames[$i-1];
        $nimage = $filenames[$i+1];
      }
    if(isset($nimage))
      $picNav = "<br><a href=\"$PHP_SELF?filename=$nimage&action=$action\">
      <img src=\"$album/thumb/$nimage\" border=0><br>
      <font face=\"Verdana\" size=\"1\"><b>Next<b></font></a>
      <br><br><br>";
    else
      $picNav = "<br><br><br><br><br>";
  if(isset($pimage) && $pimage != '..')
  {
    $picNav .= "<a href=\"$PHP_SELF?filename=$pimage&action=$action\">
    <img src=\"$album/thumb/$pimage\" border=0><br>
    <font face=\"Verdana\" size=\"1\"><b>Prev<b></font></a>";
  }
 }
  return($picNav);
}

function displayAlbumList(){
 global $PHP_SELF,
        $directory,
        $databasePath;

 $albumList = "$databasePath/axiom-data/$directory/albumlist.txt";
 $albumFile = join('', file($albumList));
 $albumArray = explode("\n", $albumFile);
 $buffer = "<form name=\"choose\" method=\"post\" action=\"$PHP_SELF\">"
         ."<input type=hidden name=action value=displayImages>"
         ."<select name=\"switchAlbum\" onChange=\"formpost()\";>"
         ."<option value=\"\" selected>Choose an Album</option>";
 for($i=0;$i<count($albumArray);$i++)
 {
   if($albumArray[$i])
   {
     $albumRealName = explode(":", $albumArray[$i]);
     $buffer .= "<option value=\"".$albumRealName[0]."\">".$albumRealName[0]."</option>\n";
   }
 }
 $buffer .= "</select>\n";
 return($buffer);
}

function getRandPhoto($dir){
  $photoArray = openDirectory($dir."/thumb");
  if(is_array($photoArray))
  {
    srand((double)microtime()*1000000);
    shuffle($photoArray);
    for($i=0;$i<=1;$i++)
    {
      if(eregi("jpg|jpeg", $photoArray[$i]))
      {
        $buffer = "<a href=index.php?action=displayImages&switchAlbum=$dir>"
                  ."<img src=\"$dir/thumb/$photoArray[$i]\" border=0></a>";
      }
    }
  }
  else
  {
    $buffer = "<b>No photos yet.";
  }
  return $buffer;
}

function displayAlbumDetailed($directory, $databasePath){
  global $start;
  
  $albumList = "$databasePath/axiom-data/$directory/albumlist.txt";
  $albumFile = join('', file($albumList));
  $maxAlbumsPerPage = 4;
  $s = 0;
  $albumArray = explode("\n", $albumFile);
  foreach($albumArray as $albumInfo)
  {
    if($albumInfo[0])
    {
      $permCount++;
    }
  }
  $totalCount  = count($albumArray);
  if($start == "")
  {
    $start = 0;
  }
  echo "<table width=\"95%\" cellpadding=\"2\" cellspacing=\"1\" border=\"1\" bordercolor=\"#EFEFEF\">";
  for($i=$start;$i<$totalCount;$i++)
  {
    if($albumArray[$i])
    {
      $albumRealName = explode(":", $albumArray[$i]);
      if($albumRealName[0])
      {
        $numPics = openDirectory($albumRealName[0]."/thumb");
        switch ($albumRealName[1]){
          case "l1":
           $accessLevel = "Admin only";
             break;
          case "l2":
           $accessLevel = "Registered users and Admin only";
             break;
          case "l3":
            $accessLevel = "Anyone";
              break;
        }
        echo "<tr bgcolor=$bgcolor>\n"
             ."<td width=112>".getRandPhoto($albumRealName[0])."</td>\n"
             ."<td><div style=\"padding:15px\">\n"
             ."<b>Album name: $albumRealName[0]</b><br>\n"
             ."<b>Contains: </b>".count($numPics)." images<br>\n"
             ."<b>Description:</b> $albumRealName[2]<br>\n"
             ."<b>Access Level: </b> $accessLevel<br>\n"
             ."<b>Created By: </b>$albumRealName[5]<br>\n"
             ."<b>Created on: </b>$albumRealName[4]\n</div>\n</td>\n"
             ."</tr>";
        $s++;
        $x++;
      }
      if(!is_float($s/2))
      {
        $bgcolor = "#FFFFFF";
      }
      else
      {
        $bgcolor = "#EFEFEF";
      }
      if($x >= $maxAlbumsPerPage)
      {
        $totalCount = 0;
        $x = 0;
      }
    }
  }
  echo "</tr><tr><td align=right colspan=2>";
  if($start >= $maxAlbumsPerPage)
      {
      $marker = $start-$maxAlbumsPerPage;
      echo "<font face=\"Arial, Verdana\" SIZE=\"2\">"
           ."<<<a href=\"$PHP_SELF?start=$marker\"> Previous</a>&nbsp;|&nbsp;&nbsp;</font>";
      }
      $totalPages = ceil($permCount/$maxAlbumsPerPage);
      if($totalPages > 1)
      {
        $i = 1;
        while($i <= $totalPages)
        {
          echo "<a href=\"index.php?start=$pageStart\">".$i."</a>&nbsp;";
          $i++;
          $pageStart = $maxAlbumsPerPage+$pageStart;
        }
      }
      if(($s >= $maxAlbumsPerPage) && ($permCount > $start) && ($totalPages > 1))
      {
        $newStart = $start+$maxAlbumsPerPage;
        echo "<font face=\"Arial, Verdana\" SIZE=\"2\">"
            ."&nbsp;|&nbsp;<a href=\"$PHP_SELF?start=$newStart\">Next </a>>></font>";
      }
  echo "</td></tr></table>";
} 

function picNav(){
  global $directory,
         $galleryAdmin,
         $galleryUser,
         $PHPSESSID, 
         $newsBlock;

  $isAdmin = validateAdmin($galleryAdmin, $PHPSESSID);
  $isUser  = validateUser($galleryUser, $PHPSESSID);

  $newsFeature = checkPrefs($directory);
  $buffer  = "<div align=\"left\"><font face=\"Verdana\" size=\"1\" style=\"padding: 4px\">";
  $buffer .= displayAlbumList();
  $buffer .= "<BR>&nbsp;<a href=\"$PHP_SELF?action=imageForm\" name=\"uploadmain\" class=\"fade\">Submit Photos</a><br>";
  if($newsBlock && $newsFeature[0])
  {
    if(($newsFeature[4] === "1" && $isAdmin) || ($newsFeature[4] === "2" && $isUser || $isAdmin) || $newsFeature[4] === "3")
    {
      $buffer .= "&nbsp;<a href=\"$PHP_SELF?action=newsForm\" name=\"addchangenews2\" class=\"fade\">Submit News</a><br>";
    }
    $buffer .= "&nbsp;<a href=\"$PHP_SELF?action=listNews\" name=\"addcha2\" class=\"fade\">List News</a><br>";
  }
  if($isUser || $isAdmin)
  {
    $buffer .= "&nbsp;<a href=\"$PHP_SELF?action=userChangeInfo\" name=\"usercha2\" class=\"fade\">Change User Info</a><br>";
  }
  $buffer .= "</form>";
  $buffer .= "</font></div>";
  
  return($buffer);
}

function invite($directory){
  global $galleryAdmin,
         $galleryUser,
         $PHPSESSID;

  $isAdmin = validateAdmin($galleryAdmin, $PHPSESSID);
  $isUser  = validateUser($galleryUser, $PHPSESSID);
  if(!$isAdmin)
  {
    die("you are not allowed to do this!");
  }

  $chars  = "a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q";  // symbols where are allowed in the password
  $length = 8;
  $entry  = getRanId($chars, $length); 

  echo "<script>
  <!-- Hide the script from old browsers --
  function Validate(form) {
  	var min = 2;

  	if (form.name.value.length < min)
  	{
    	alert(\"You may not enter a name that is less than 5 characters.\");
      	return false;
  	}
  	else if (form.email.value.indexOf('@',0)==-1 || form.email.value.length < min)
  	{
      	alert(\"You must provide a valid email address.\");
      	return false;
  	}
  	else return true;
  	}
  function ConfirmReset (form) {
  	if (confirm(\"Are you sure you want to clear the form?\"))
  		return true;
 	else
  	{
  	return false
  	}
  }
 //-->
  </script>";

  echo"<form method=\"post\" ENCTYPE=\"MULTIPART/FORM-DATA\" action=\"$PHP_SELF\" onSubmit=\"return Validate(this)\" onReset=\"return ConfirmReset(this)\">
        <div align=\"left\"><font face=\"Geneva, Arial, Helvetica\" size=\"2\"><b>&nbsp;Your Name:</b></font><br>
          &nbsp;<input name=\"name\" size=\"25\"><br><br>
	  <font face=\"Geneva, Arial, Helvetica\" size=\"2\"><b>&nbsp;Name of the person you wish to invite:</b></font><br>
          &nbsp;<input name=\"invite_name\" size=\"25\" >
        </div>
        <p align=\"left\"><font face=\"Geneva, Arial, Helvetica\" size=\"2\"><b>&nbsp;E-mail
          Address of the person you wish to invite:</b></font><br>
          &nbsp;<input name=\"email\" size=\"25\">
        </p>
        <p align=\"left\"><font face=\"Geneva, Arial, Helvetica\" size=\"2\"><b>&nbsp;Your E-mail
          Address:</b></font><br>
          &nbsp;<input name=\"useremail\" size=\"25\">
        </p>
        <p align=\"left\"> <font face=\"Geneva, Arial, Helvetica\" size=\"2\"><b>&nbsp;Any comments you wish to make:</b></font><br>&nbsp;<TEXTAREA cols=30 name=comments rows=5 wrap=VIRTUAL></TEXTAREA>
        </p>
        <p align=\"left\">
          <input type=\"hidden\" name=\"op\" value=\"inviteSend\">
	  <input type=\"hidden\" name=\"entry\" value=\"$entry\">
	  <input type=\"hidden\" name=\"directory\" value=\"$directory\">
	  &nbsp;<input type=\"submit\" name=\"Submit\" value=\"Send\">
          &nbsp;<input type=\"reset\" name=\"Submit2\" value=\"Reset\">
        </p>
      </form>";
}

function inviteSend(){
  global $invite_name,
         $comments,
         $pass,
	 $useremail,
	 $entry,
	 $inviteSend,
	 $name,
	 $directory,
         $album,
	 $username,
	 $email,
	 $SERVER_NAME,
	 $directory,
         $pathToGallery,
         $galleryAdmin,
         $galleryUser,
         $PHPSESSID,
         $databasePath;

  $isAdmin = validateAdmin($galleryAdmin, $PHPSESSID);
  $isUser  = validateUser($galleryUser, $PHPSESSID);
  if(!$isAdmin)
  {
    die("you are not allowed to do this!");
  }
  if($invite_name == $directory)
  {
    die("sorry that name can't be used. ($directory) Please go back and use another name. thank you.");
  }
  $file_pass  = "$databasePath/axiom-data/$directory/passlist.dat";
  $userLookUp = join('', file($file_pass));
  $lines      = explode("\n", $userLookUp);
  foreach($lines as $line)
  {
    list($userName, $passWord) = explode(":", $line);
    if(md5($invite_name) === $userName)
    {
      die("This username is already taken ($invite_name). Please go back and choose another name.");
    }
  }  
  $fp = fopen("$file_pass", "a");
  flock($fp, 2);
  $crypt_name = md5($invite_name);
  $crypt_pass = md5($entry);
  fputs($fp, $crypt_name.":".$crypt_pass."\n");
  flock($fp, 3);
  fclose($fp);
  $userinfo = "$databasePath/axiom-data/$directory/userinfo.dat";
  $fp = fopen($userinfo, "a");
  flock($fp, 2);
  fputs($fp, $invite_name."||".$email."||http://www.yourwebsite.com||your location||your occupation||9\n");
  flock($fp, 3);
  fclose($fp);
  $mail_to       = $email;
  $mail_subject  = $invite_name.", you are invited by"." ".$name."";
  $mail_body     = "$name has created a Picture Gallery at $SERVER_NAME. \nYou have been invited to go there, visit and use all the features of this FREE Picture Gallery.\n\nFeatures include: \n    News postings\n    Picture uploading\n    Forum \"like\" Commenting\n    And more!!";
  $mail_body    .= "\n";
  $mail_body    .= "This is what $name has to say about it:\n  \"$comments\"\n\n";
  $mail_body    .= "follow this link to the site.\n";
  $mail_body    .= "\n";
  $mail_body    .= "http://$SERVER_NAME/$pathToGallery" . "$directory/\n";
  $mail_body    .= "\n";
  $mail_body    .= "You will need to use this password and username to enter.";
  $mail_body    .= "\n";
  $mail_body    .= "username: $invite_name \npassword: $entry";
  $mail_from     = "$useremail";
  $mail_body     = stripslashes($mail_body);
  $mail_subject  = stripslashes($mail_subject);

  if(mail($mail_to, $mail_subject, $mail_body, "From: $mail_from"))
  {
    recordNewMemUserList($album, $directory);
  
    echo"<html>
   <head>
   <title>$SERVER_NAME Picture Gallery!!</title>
   <meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">
   <meta http-equiv=\"refresh\" content=\"1;URL=$PHP_SELF?action=invite\">
   </head>
   <body bgcolor=\"#FFFFFF\">
   <div align=\"center\">
    <p>&nbsp;</p>
    <p>&nbsp;</p>
    <p><font size=\"2\" face=\"Verdana\"><b>Message sent. To: $email. <br>Thank you
      for sending this invitation $username.
      You will be sent back automatically.<br>
      </b></font></p>
    <hr noshade>
    <p><font size=\"2\" face=\"Verdana\"><b> </b></font></p>
  </div>
  </body>
  </html>";
  }
  else echo ("Sorry. We are updating our servers please use your back button to return to the page.");
  exit;
  unset($entry);
}

function mainNav(){
global $username,
       $PHP_SELF,
       $directory,
       $galleryAdmin,
       $PHPSESSID;

  $isAdmin = validateAdmin($galleryAdmin, $PHPSESSID);
  $isUser  = validateUser($galleryUser, $PHPSESSID);
  $buffer = "<div align=\"left\" style=\"padding:3px\"><font face=\"Verdana\" size=\"1\">";

  if($isAdmin)
  {
    $buffer .= "<a href=\"$PHP_SELF?action=preferenceForm\" name=\"pfrm\" class=\"fade\">Change Preferences</a><br>";
    $buffer .= "<a href=\"$PHP_SELF?action=batchUploadForm\" name=\"bupfrm\" class=\"fade\">Batch Upload</a><br>";
    $buffer .= "<a href=\"$PHP_SELF?action=batchConvertForm\" name=\"bconfrm\" class=\"fade\">Batch Convert (ftp)</a><br>";
    $buffer .= "<a href=\"$PHP_SELF?action=mkAlbumForm\" name=\"mkal\" class=\"fade\">Create a New Album</a><br>";
    $buffer .= "<a href=\"$PHP_SELF?action=editAlbum\" name=\"edal\" class=\"fade\">Edit an Album</a><br>";
    $buffer .= "<a href=\"$PHP_SELF?action=removeAlbum\" name=\"rmal\" class=\"fade\">Remove an Album</a><br>";
    $buffer .= "<a href=\"$PHP_SELF?action=delNews\" name=\"delNews\" class=\"fade\">Remove News Stories</a><br>";
    $buffer .= "<a href=\"$PHP_SELF?action=delPhotos&altAction=remove\" name=\"removemain\" class=\"fade\"> Remove Pictures </a><br>";
    $buffer .= "<a href=\"$PHP_SELF?action=invite\" name=\"invite\" class=\"fade\">Invite People!</a><br>";
    $buffer .= "<a href=\"$PHP_SELF?action=removeUsers\" name=\"rmus\" class=\"fade\">Remove Users</a><br>";
  }
  $buffer .= "</font></div><br>";
  
  return($buffer);
}

switch ($op){

	case "userCommentForm":
	  saveUserComments();
	    break;
	case "delPhotos":
	  delPhotos();
	    break;
	case "inviteSend":
	  inviteSend();
	    break;
}
?>
