<?

/***************************************************************************
* Picture/News Gallery Version 0.5.0b (axiom)                              *
*       Copyright (c) 2002 BY Geoffrey Golliher <cid441@hotmail.com>       *
*   please see licence.txt for usage                                       *
*       Creation Date 04/20/2001                                           *
*                                                                          *
* This program is free software. You can redistribute it and/or modify     *
* it under the terms of the GNU General Public License as published by     *
* the Free Software Foundation; either version 2 of the License.           *
***************************************************************************/
//script name newsFunctions.inc

if (eregi("newsFunctions.inc",$PHP_SELF))
{
  Header("Location: index.php");
  die();
}

function uploadNews($descript, $full_story, $album, $directory, $Author){
  global $databasePath;

  $newsFile       = "$databasePath/axiom-data/$directory/news.txt";
  $descript       = chop($descript);
  $descript       = strip_tags($descript);
  $descript       = str_replace("||", "", $descript);
  $full_story     = str_replace("\n", "<br>", $full_story);
  $full_story     = strip_tags($full_story, '<!--break--><img><br><a><b><i><u>');
  $full_story     = str_replace("||", "", $full_story);
  $chars          = "1,2,3,4,5,6,7,8,9,a,b,c,d,e,f,g,h";
  $length         = 12;
  $idNumber       = getRanId($chars, $length);
  $Date           = date('m-d-Y');
  $storyVeiws     = 0;
  $fp             = fopen($newsFile, 'a');
  flock($fp, 2);
  $newStoryString = $idNumber."||".$descript."||".$full_story."||".$Date."||".$Author."||".$storyVeiws."||".$storyRating."||".$storyVotes."\n";
  fputs ($fp, $newStoryString);
  flock($fp, 3);
  fclose($fp);
  recordModUserList($album, $directory);
  echo "<html>
  <head>
  <title>$SERVER_NAME Picture Gallery!</title>
  <meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">
  <meta http-equiv=\"refresh\" content=\"1;URL=$PHP_SELF?action=newsForm\">
  </head>
  <body bgcolor=\"#FFFFFF\">
    <div align=\"center\">
    <p>&nbsp;</p>
    <p>&nbsp;</p>
    <p><font size=\"2\" face=\"Verdana\"><b>Thank you
    for posting the news story $username. This page is being generated
    now. <br>
    You will be sent back automatically.<br>
    </b></font></p>
    <hr noshade>
    <p><font size=\"2\" face=\"Verdana\"><b> </b></font></p>
    </div>
  </body>
  </html>";
}

function listNews($user, $directory, $marker, $start){
  global $galleryAdmin,
         $galleryUser,
         $PHPSESSID,
         $databasePath;
  
  $isAdmin = validateAdmin($galleryAdmin, $PHPSESSID);
  $isUser  = validateUser($galleryUser, $PHPSESSID);

  echo"<table cellspacing=\"0\" cellpadding=\"3\" border=\"0\" width=\"100%\" height=\"350\">
        <tr>
         <td valign=\"top\" height=\"20\" colspan=\"2\">
       <font face=\"Verdana\" size=\"2\"><b>News items found<br></font></b>
       <hr size=\"1\">
       </td>
       </tr>
       <tr>
       <td valign=\"top\">";

  $newsFile    = "$databasePath/axiom-data/$directory/news.txt";
  $tdCount     = 5;
  $maxNewsPage = 10;
  $newsContent = getContents($newsFile);
  $newsID      = $newsContent["ID"];
  $totalCount  = count($newsID);
  $permCount   = count($newsID);
  if($start == "")
  {
    $start = 1;
  }
  for($i=$start;$i<=$totalCount;$i++)
  {
    $identifier   = $newsContent["ID"][$i];
    $storyTitle   = $newsContent["TITLE"][$i];
    $storyContent = $newsContent["MAIN"][$i];
    $storyDate    = $newsContent["DATE"][$i];
    $storyAuthor  = $newsContent["AUTHOR"][$i];
    $storyVeiws   = $newsContent["VEIWS"][$i];
    $storyRating  = $newsContent["RATE"][$i];
    $storyVotes   = $newsContent["VOTES"][$i];
    $storyVotes   = trim($storyVotes);
    $storyVotes   = chop($storyVotes);
    printf ("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\"><B>%s &nbsp;
             <A HREF=\"?newsitem=%s&action=newsitem\">%s</A>
             <BR></B><FONT SIZE=\"1\">%s --By %s</FONT></b><BR>",
             $i, $identifier, $storyTitle, $storyDate, $storyAuthor);
   if($user === $storyAuthor && ($isUser || $isAdmin))
   {
     echo "<font size=\"1\"><a href=\"?action=editNews&newsitem=$identifier\">edit</a> |
           <a href=\"?action=delNewsConfirm&newsitem=$identifier\">delete</a></font>";
   }
   if(($isAdmin) && ($user != $storyAuthor))
   {
     echo "<font size=\"1\">
           <a href=\"$PHP_SELF?action=delNewsConfirm&newsitem=$identifier\">delete</a></font>";
   }
     echo "<BR><BR>";
    $tdNumber++;
    $maxNewsCount++;
    if($tdNumber == $tdCount)
    {
      echo "</td><td valign=\"top\">";
    }
    if($maxNewsCount === $maxNewsPage)
    {
      $totalCount = 0;
    }
  }
  echo "</td></tr><tr><td height=\"15\" align=\"center\" colspan=\"2\">
        <font face=\"Arial, Verdana, Tahoma\" size=\"2\">";
  if($start >= $maxNewsPage)
    {
      $marker = $start-$maxNewsPage;
      echo ("<FONT FACE=\"Arial, Verdana\" SIZE=\"2\">
             <<<A HREF=\"$PHP_SELF?start=$marker&action=listNews\"> Previous</A>&nbsp;|&nbsp;&nbsp;</FONT>");
    }
    $totalPages = ceil($permCount/$maxNewsPage);
    if($totalPages > 1)
    {
      $i = 1;
      while($i <= $totalPages)
      {
        echo "<a href=\"index.php?start=$pageStart&action=listNews\">".$i."</a>&nbsp;";
        $i++;
        if($i == 2)
        {
          $spacer = 1;
        }
        else
        {
          $spacer = 0;
        }
        $pageStart = $maxNewsCount+$pageStart+$spacer;
      }
    }
    if(($maxNewsCount >= $maxNewsPage) && ($permCount > $start+$maxNewsCount))
    {
      $newStart = $start+$maxNewsCount;
      echo ("<FONT FACE=\"Arial, Verdana\" SIZE=\"2\">
             &nbsp;|&nbsp;<A HREF=\"$PHP_SELF?start=$newStart&action=listNews\">Next </A>>></FONT>");
    }
 echo "</td>
       </tr>
       </table>";
}

function delNews(){
  global $galleryAdmin, 
         $PHPSESSID,
         $directory,
         $databasePath;
  
  $isAdmin = validateAdmin($galleryAdmin, $PHPSESSID);
  if(!$isAdmin)
  {
    die("you are not allowed to do this!");
  }

  echo"<font face=\"Verdana\" size=\"2\"><b>News items found<br></font></b>";

  $newsFile    = "$databasePath/axiom-data/$directory/news.txt";
  $newsContent = getContents($newsFile);
  $newsID      = $newsContent["ID"];
  for($i=1;$i<=count($newsID);$i++) {
    $identifier   = $newsContent["ID"][$i];
    $storyTitle   = $newsContent["TITLE"][$i];
    $storyContent = $newsContent["MAIN"][$i];
    $storyDate    = $newsContent["DATE"][$i];
    $storyAuthor  = $newsContent["AUTHOR"][$i];
    $storyVeiws   = $newsContent["VEIWS"][$i];
    $storyRating  = $newsContent["RATE"][$i];
    $storyVotes   = $newsContent["VOTES"][$i];
    $storyVotes   = trim($storyVotes);
    $storyVotes   = chop($storyVotes);
    printf ("<DIV ALIGN=\"LEFT\"><FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\"><B>News ID# %s &nbsp;
             <A HREF=\"$PHP_SELF?newsitem=%s&action=delNewsConfirm\">%s</A>
             <BR></B><FONT SIZE=\"1\">%s --By %s</FONT></b></DIV><BR>",
             $identifier, $identifier, $storyTitle, $storyDate, $storyAuthor);

  }
}

function delNewsConfirm($newsitem){
  global $galleryAdmin,
         $PHPSESSID,
         $directory,
         $databasePath;
 
  $isAdmin = validateAdmin($galleryAdmin, $PHPSESSID);
  if(!$isAdmin)
  {
    die("you are not allowed to do this!");
  }

  if(isset($filename))
  {
        unset($filename);
  }

  $newsFile    = "$databasePath/axiom-data/$directory/news.txt";
  $newsContent = getContents($newsFile);
  $newsID      = $newsContent["ID"];
  for($i=1;$i<=count($newsID);$i++)
  {
    $identifier   = $newsContent["ID"][$i];
    $storyTitle   = $newsContent["TITLE"][$i];
    $storyContent = $newsContent["MAIN"][$i];
    $storyDate    = $newsContent["DATE"][$i];
    $storyAuthor  = $newsContent["AUTHOR"][$i];
    $storyVeiws   = $newsContent["VEIWS"][$i];
    $storyRating  = $newsContent["RATE"][$i];
    $storyVotes   = $newsContent["VOTES"][$i];
    $storyVotes   = trim($storyVotes);
    $storyVotes   = chop($storyVotes);
    if($identifier === $newsitem)
    {
      echo"<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">
           <tr align=\"left\" valign\"top\"><td width=\"5\" valign=\"top\"><td>
           <font face=\"Verdana\" size=\"2\"><b>";
      printf ("<DIV ALIGN=\"LEFT\"><FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\"><B>News ID# %s &nbsp;
             <A HREF=\"$PHP_SELF?newsitem=%s&action=newsitem\">%s</A>
             <BR></B><FONT SIZE=\"1\">%s --By %s</FONT></b></DIV><BR>",
             $identifier, $identifier, $storyTitle, $storyDate, $storyAuthor);

  echo"</font></b></td></td></tr></table>";
  echo"<br><br><hr noshade><div align=\"center\">
       <font face=\"Verdana\" size=\"1\"><b>
       <a href=\"$PHP_SELF?action=delNews\">Click here to cancel this action.</a><br><br>
       <a href=\"$PHP_SELF?action=delNewsBlast&news_del_item=$identifier\">
       Click here to PERMENENTLY DELETE this news story</a></b></font></div>";
    }
  }
}

function delNewsBlast($news_del_item, $album, $directory){
  global $databasePath;
  if(isset($filename))
  {
        unset($filename);
  }
  if(isset($news_del_item))
  {
    $newsFile    = "$databasePath/axiom-data/$directory/news.txt";
    $newsContent = getContentsWrite($newsFile);
    $fp          = fopen($newsFile, 'w');
    flock($fp, 2);
    $newsID      = $newsContent["ID"];
    for($i=1;$i<=count($newsID);$i++)
    {
      $identifier   = $newsContent["ID"][$i];
      $storyTitle   = $newsContent["TITLE"][$i];
      $storyContent = $newsContent["MAIN"][$i];
      $storyDate    = $newsContent["DATE"][$i];
      $storyAuthor  = $newsContent["AUTHOR"][$i];
      $storyVeiws   = $newsContent["VEIWS"][$i];
      $storyRating  = $newsContent["RATE"][$i];
      $storyVotes   = $newsContent["VOTES"][$i];
      $storyVotes   = trim($storyVotes);
      $storyVotes   = chop($storyVotes);
      if($identifier === $news_del_item)
      {
        unset($identifier);
        unset($storyTitle);
        unset($storyContent);
        unset($storyDate);
        unset($storyAuthor);
        unset($storyVeiws);
        unset($storyRating);
        unset($storyVotes);
      }
      for($j=1;$j<=count($identifier);$j++)
      {
        $newString = $identifier."||".$storyTitle."||".$storyContent."||".$storyDate."||".$storyAuthor."||".$storyVeiws."||".$storyRating."||".$storyVotes."\n";
        fputs($fp, $newString);
      }
    }
    flock($fp, 3);
    fclose($fp);
    $userCommentFile = "usercomments.txt";
    $commentContent  = getContentsWrite($userCommentFile);
    $fp              = fopen($userCommentFile, 'w');
    flock($fp, 2);
    for($i=1;$i<=count($newsID);$i++)
    {
      $identifier   = $commentContent["ID"][$i];
      $storyTitle   = $commentContent["TITLE"][$i];
      $storyContent = $commentContent["MAIN"][$i];
      $storyDate    = $commentContent["DATE"][$i];
      $storyAuthor  = $commentContent["AUTHOR"][$i];
      $storyVeiws   = $newsContent["VEIWS"][$i];
      $storyRating  = $newsContent["RATE"][$i];
      $storyVotes   = $newsContent["VOTES"][$i];
      $storyVotes   = trim($storyVotes);
      $storyVotes   = chop($storyVotes);
      if($identifier === $news_del_item)
      {
        unset($identifier);
        unset($storyTitle);
        unset($storyContent);
        unset($storyDate);
        unset($storyAuthor);
        unset($storyVeiws);
        unset($storyRating);
        unset($storyVotes);
      }
    for($j=1;$j<=count($identifier);$j++)
    {
      $newCommentString = $identifier."||".$storyTitle."||".$storyContent."||".$storyDate."||".$storyAuthor."||".$storyVeiws."||".$storyRating."||".$storyVotes."\n";
      fputs($fp, $newCommentString);
    }
  }
  flock($fp, 3);
  fclose($fp);
  recordModUserList($album, $directory);
  echo"<font face=\"Verdana\" size=\"2\"><b>News story has been removed.</font></b><br><br>";
  listNews($PHP_AUTH_USER, $directory, $marker, $start);
  }
}
 
function newsForm($user, $formAction){
  global $PHP_AUTH_PW,
         $galleryAdmin,
         $galleryUser,
         $PHPSESSID,
         $directory;

  $allPrefs = checkPrefs($directory);
  $isAdmin = validateAdmin($galleryAdmin, $PHPSESSID);
  $isUser  = validateUser($galleryUser, $PHPSESSID);
  echo"<script>
   <!-- Hide the script from old browsers --
   function Validate(form) {
     var min = 1;
         if (form.descript.value.length < min || form.full_story.value.length < min)
     {
        alert(\"You may not leave the description or the story fields blank.\");
        return false;
     }
     else return true;
   }
   function ConfirmReset (form) {
     if (confirm(\"Are you sure you want to clear the form?\"))
                return true;
         else
         {
                return false
         }
  }
  //-->
  </script>";

  $newsForm = "<form  onSubmit=\"return Validate(this)\" onReset=\"return ConfirmReset(this)\" method=\"post\" ENCTYPE=\"MULTIPART/FORM-DATA\" action=\"$formAction\"><font face=\"Verdana\" size=\"2\"><b>
    Insert a brief descriptiton of the news event.<br>
    <input type=\"text\" name=\"descript\" size=\"50\" maxlength=\"50\">
    <br>
    <br>
    Type out the full story here.</B><br>
    <font face=\"Arial,Verdana,Tahoma\" size=\"1\">
    You may split the story into pages. Use &lt;!--break--&gt; to make page breaks.</font><br>
    <textarea name=\"full_story\" cols=\"50\" rows=\"9\"></textarea>
    <br>
    <br>
      <input type=\"submit\" name=\"Submit\" value=\" Submit News \">
      <input type=\"hidden\" name=\"action\" value=\"uploadNews\">
      <input type=\"hidden\" name=\"username\" value=\"$username\">
      <input type=\"hidden\" name=\"Author\" value=\"$user\">
  </form>
  <br>";
  
 if(($allPrefs[4] === "1") && (!$isAdmin))
 {
   echo "<font color=red><b>"
        ."Only Administrators are allowed to submit news.  If you are an administrator, please login."
        ."</font></b>";
   $newsForm = "";
 } 
 if($allPrefs[4] === "2" && $isUser == "" && !$isAdmin)
 {
   echo "<font color=red><b>"
        ."Only Administrators and registered users are allowed to submit news."
        ."If you are an administrator or registered user, please login."
        ."</font></b>";
   $newsForm = "";
 }
 echo $newsForm;
}

function displayNews($directory, $newsitem, $user, $page=0){
  global $PHP_AUTH_PW,
         $databasePath;

  $isUser = checkUser($user, $PHP_AUTH_PW);
  $isAdmin = checkAdmin($user, $PHP_AUTH_PW);
  if(isset($filename))
  {
        unset($filename);
  }

  echo"<table width=\"100%\" height=\"250\" border=\"0\" cellspacing=\"0\" cellpadding=\"4\">
        <tr align=\"left\" valign\"top\">
        <td height=\"20\">
    <font face=\"Verdana\" size=\"2\"><b>";

  $newsFile    = "$databasePath/axiom-data/$directory/news.txt";
  $newsContent = getContents($newsFile);
  $newsID      = $newsContent["ID"];
  for($i=1;$i<=count($newsID);$i++)
  {
    $identifier   = $newsContent["ID"][$i];
    $storyTitle   = $newsContent["TITLE"][$i];
    $storyContent = $newsContent["MAIN"][$i];
    $storyDate    = $newsContent["DATE"][$i];
    $storyAuthor  = $newsContent["AUTHOR"][$i];
    $storyVeiws   = $newsContent["VEIWS"][$i];
    $storyRating  = $newsContent["RATE"][$i];
    $storyVotes   = $newsContent["VOTES"][$i];
    $storyVotes   = trim($storyVotes);
    $storyVotes   = chop($storyVotes);
    if($identifier === $newsitem)
    {
      $storyContent      = stripslashes($storyContent);
      $storyContentArray = explode("<!--break-->", $storyContent);
      $pageCount         = count($storyContentArray);
      if($page == "" || $page < 1)
      {
        $page         = 0;
        $previousPage = "";
      }
      if($page+1 != $pageCount)
      {
        $contPage = $page+2;
        $addPage  = $page+1;
        $nextPage = "| <a href=\"?action=newsitem&newsitem=$newsitem&page=".$addPage."\">Page $contPage</a>";
      }
      if($page != $pageCount && $page != 0)
      {
        $prevPage = $page-1;
        $previousPage = "<a href=\"?action=newsitem&newsitem=$newsitem&page=".$prevPage."\">Page $page</a> |";
      }
      $pageOf = $page+1;
      echo "Page $pageOf of $pageCount <BR>
            Story Name: $storyTitle
            <HR noshade size=\"1\">
            </TD></TR>
            <TR colspan=\"2\">
            <TD height=\"220\" VALIGN=\"top\">
            <font face=\"Verdana\" size=\"2\">
            $storyContentArray[$page]<BR>
            </TD>
            </TR>
            <TR colspan=\"2\">
            <TD HEIGHT=\"20\">
            <font face=\"Verdana\">
            <DIV ALIGN=\"CENTER\"></B><FONT SIZE=\"1\">$previousPage  $nextPage</FONT><B></b></DIV><BR>
            <font face=\"Verdana\">
            <DIV ALIGN=\"RIGHT\"></B><FONT SIZE=\"1\">Posted By $storyAuthor. On $storyDate</FONT><B></b></DIV>";
       echo"</font></b></td></tr></table>";
       echo"<hr noshade size=\"1\"><div align=\"right\">
            <font face=\"Verdana\" size=\"1\"><b>
            <a href=\"$PHP_SELF?action=listNews\">List all news items</a><br>";

      if($user === $storyAuthor && ($isUser || $isAdmin))
      {
        echo"<a href=\"$PHP_SELF?action=editNews&newsitem=$newsitem\">Edit this news story</a></b></font></div>";
      }

    }
  }
}
 
function scroll(){
  global $directory,
         $galleryAdmin,
         $galleryUser,
         $PHPSESSID,
         $databasePath; 

  $isAdmin = validateAdmin($galleryAdmin, $PHPSESSID);
  $isUser  = validateUser($galleryUser, $PHPSESSID);
  $newsFile = "$databasePath/axiom-data/$directory/news.txt";
  $allPrefs = checkPrefs($directory);
  $buffer  = "<script language=\"JavaScript\" src=\"../jsfile/dhtmllib.js\"></script>\n";
  $buffer .= "<script language=\"JavaScript\" src=\"../jsfile/scroller.js\"></script>\n";
  $buffer .= "<script language=\"JavaScript\" src=\"../jsfile/fade.js\"></script>\n";
  $buffer .= "<script language=\"JavaScript\">\n";
  $buffer .= "var scrollG = new Scroller(0, 0, 140, 100, 0, 30);\n";
  $buffer .= "scrollG.setColors(\"#000000\", \"#FFFFFC\", \"#000000\");\n";
  $buffer .= "scrollG.setFont(\"Verdana\", 1);\n";
  if(($allPrefs[4] === "1" && $isAdmin) || ($allPrefs[4] === "2" && $isUser || $isAdmin) || $allPrefs[4] === "3")
  {
    $buffer .="scrollG.addItem(\"<center><b><a href='$PHP_SELF?action=newsForm' onmouseOver='scrollG.stop();' onmouseOut='scrollG.start();'>Add a news item! Click Here.</a></center>\");\n";
  }
  else
  {
    $buffer .="scrollG.addItem(\"<center><b>Checking for news ...</center>\");\n";
  }
  if(file_exists($newsFile))
  {
    $newsFile       = "$databasePath/axiom-data/$directory/news.txt";
    $maxScrollItems = 5;
    $newsContent    = getContents($newsFile);
    $newsID         = $newsContent["ID"];
    $totalCount     = count($newsID);
    for($i=1;$i<=$totalCount;$i++)
    {
      $identifier   = $newsContent["ID"][$i];
      $storyTitle   = $newsContent["TITLE"][$i];
      $storyContent = $newsContent["MAIN"][$i];
      $storyDate    = $newsContent["DATE"][$i];
      $storyAuthor  = $newsContent["AUTHOR"][$i];
      $storyVeiws   = $newsContent["VEIWS"][$i];
      $storyRating  = $newsContent["RATE"][$i];
      $storyRating  = trim($storyRating);
      $storyRating  = chop($storyRating);
        $buffer .= "scrollG.addItem(\"<center><b><a href='$PHP_SELF?action=newsitem&newsitem=$identifier' onmouseOver='scrollG.stop();' onmouseOut='scrollG.start();'>$storyTitle </b><br><FONT FACE=Arial>Posted By $storyAuthor <br>$storyDate</a></FONT></center>\");\n";
      $maxScrollCount++;
      if($maxScrollItems == $maxScrollCount)
      {
        $totalCount = 0;
      }
    }
  }
  
  $buffer .= "function scroll() {\n";
  $buffer .= "var layer;\n";
  $buffer .= "var x, y;\n";
  $buffer .= "layer = getLayer(\"placeholder\");\n";
  $buffer .= "x = getPageLeft(layer);\n";
  $buffer .= "y = getPageTop(layer);\n";
  $buffer .= "scrollG.create();\n";
  $buffer .= "scrollG.hide();\n";
  $buffer .= "scrollG.moveTo(x, y);\n";
  $buffer .= "scrollG.setzIndex(100);\n";
  $buffer .= "scrollG.show();\n";
  $buffer .= "}\n";
  $buffer .= "window.onload=scroll\n";
  $buffer .= "</script>\n";
  $buffer .= "<div id=\"placeholder\" style=\"position:relative; width:140px; height:100px; background-color: #FBFBFB; layer-background-color: #FBFBFB;\">&nbsp;</div>\n";
  $buffer .= "<font face=\"Verdana\" size=\"2\">
        <a href=\"$PHP_SELF?action=listNews\" name=\"listallnewsmain\" class=\"fade\">
        List all news.</a></font><br>\n";
  return($buffer);
}

function listShort(){
  global $databasePath,
          $directory;

  $newsFile       = "$databasePath/axiom-data/$directory/news.txt";
  if(file_exists($newsFile))
  {
    $maxScrollItems = 3;
    $newsContent    = getContents($newsFile);
    $newsID         = $newsContent["ID"];
    $totalCount     = count($newsID);
    for($i=1;$i<=$totalCount;$i++)
    {
      $identifier   = $newsContent["ID"][$i];
      $storyTitle   = $newsContent["TITLE"][$i];
      $storyContent = $newsContent["MAIN"][$i];
      $storyDate    = $newsContent["DATE"][$i];
      $storyAuthor  = $newsContent["AUTHOR"][$i];
      $storyVeiws   = $newsContent["VEIWS"][$i];
      $storyRating  = $newsContent["RATE"][$i];
      $storyRating  = trim($storyRating);
      $storyRating  = chop($storyRating);
      if($storyContent == "")
      {
        $buffer .= "<a href=\"?action=newsForm\">No news yet<br>Add a news story</a>";
      } 
      $buffer .= "<div align=\"left\"><b><a href=\"$PHP_SELF?action=newsitem&newsitem=$identifier\">$storyTitle </B><br><FONT FACE=Arial size=1>Posted By $storyAuthor <br>$storyDate</a></FONT></div><BR>\n";
      $maxScrollCount++;
      if($maxScrollItems == $maxScrollCount)
      {
        $totalCount = 0;
      }
    }
  }
  return($buffer);
}

function editNews($newsitem, $formAction){
  global $galleryAdmin,
         $galleryUser,
         $PHPSESSID,
         $directory,
         $databasePath;

  $isAdmin = validateAdmin($galleryAdmin, $PHPSESSID);
  $isUser  = validateUser($galleryUser, $PHPSESSID);
  $newsFile    = "$databasePath/axiom-data/$directory/news.txt";
  $newsContent = getContents($newsFile);
  $newsID      = $newsContent["ID"];
  for($i=1;$i<=count($newsID);$i++)
  {
    $identifier   = $newsContent["ID"][$i];
    $storyTitle   = $newsContent["TITLE"][$i];
    $storyContent = $newsContent["MAIN"][$i];
    $storyDate    = $newsContent["DATE"][$i];
    $storyAuthor  = $newsContent["AUTHOR"][$i];
    $storyVeiws   = $newsContent["VEIWS"][$i];
    $storyRating  = $newsContent["RATE"][$i];
    $storyRating  = trim($storyRating);
    $storyRating  = chop($storyRating); 
    $nf           = stripslashes($storyContent);
    $nf           = str_replace("<br>", "\n", $nf);
    $nf           = str_replace("<br />", "\n", $nf);
    if($identifier === $newsitem)
    {
    if(($storyAuthor === $PHP_AUTH_USER) || ($isAdmin || $isUser))
    {
      echo"<html>
      <head>
      <title>Edit News Story</title>
      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">
      </head>
      <body bgcolor=\"#FFFFFF\">
      <form name=\"form1\" enctype=\"text/html\" action=\"$PHP_SELF\">
      Story Title: $storyTitle <BR>
      <textarea name=\"news_story\" cols=\"60\" rows=\"9\">$nf</textarea>
      <br>
      <input type=\"submit\" name=\"Submit\" value=\"Submit your edited news item\">
      <input type=\"hidden\" name=\"action\" value=\"changeNewsItem\">
      <input type=\"hidden\" name=\"newsitem\" value=\"$identifier\">
      </form>
      </body>
      </html>";
    }
    else
    {
      echo "What are you doing?";
    }
    }
  }
}

function changeNewsItem($newsitem, $news_story){
  global $directory,
         $databasePath;

  $newsFile    = "$databasePath/axiom-data/$directory/news.txt";
  $news_story  = nl2br($news_story);
  $newsContent = getContentsWrite($newsFile);
  $newsID      = $newsContent["ID"];
  $fp = fopen($newsFile, 'w');
  flock($fp, 2);
  for($i=1;$i<=count($newsID);$i++)
  {
    $identifier   = $newsContent["ID"][$i];
    $storyTitle   = $newsContent["TITLE"][$i];
    $storyContent = $newsContent["MAIN"][$i];
    $storyDate    = $newsContent["DATE"][$i];
    $storyAuthor  = $newsContent["AUTHOR"][$i];
    $storyVeiws   = $newsContent["VEIWS"][$i];
    $storyRating  = $newsContent["RATE"][$i];
    $storyVotes   = $newsContent["VOTES"][$i];
    $storyVotes   = trim($storyVotes);
    $storyVotes   = chop($storyVotes);
    if($identifier === $newsitem)
    {
      $storyContent = $news_story;
    }
    $storyContent = strip_tags($storyContent, '<!--break--><img><br><a><b><i><u>');
    $storyContent = stripslashes($storyContent);
    $storyContent = str_replace("\n", "", $storyContent);
    $newString    = $identifier."||".$storyTitle."||".$storyContent."||".$storyDate."||".$storyAuthor."||".$storyVewis."||".$storyRating."||".$storyVotes."\n";
    fputs($fp, $newString);
  }
  flock($fp, 2);
  fclose($fp);
  echo "<html>
        <head>
        <title>$SERVER_NAME Picture Gallery!!</title>
        <meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">
        <meta http-equiv=\"refresh\" content=\"1;URL=$PHP_SELF?action=newsitem&newsitem=$newsitem\">
        </head>
        <body bgcolor=\"#FFFFFF\">
         <div align=\"center\">
         <p>&nbsp;</p>
         <p>&nbsp;</p>
         <p><font size=\"2\" face=\"Verdana\"><b>Thank you
          for editing this news story $username. This page is being generated now. <br>
          You will be sent back automatically.<br>
          </b></font></p>
         <hr noshade>
         <p><font size=\"2\" face=\"Verdana\"><b> </b></font></p>
         </div>
      </body>
      </html>";
}

?>
