<?
/***************************************************************************
* Picture/News Gallery Version 0.5.0b (axiom)                              *
*       Copyright (c) 2002 BY Geoffrey Golliher <cid441@hotmail.com>       *
*   please see licence.txt for usage                                       *
*       Creation Date 04/20/2001                                           *
*                                                                          *
* This program is free software. You can redistribute it and/or modify     *
* it under the terms of the GNU General Public License as published by     *
* the Free Software Foundation; either version 2 of the License.           *
***************************************************************************/

function addVote($album, $filename, $vote){
  global $directory,
         $databasePath;

  $idImage       = preg_replace("/(.jpg)|(.jpeg)/i", "", $filename);
  $ratingFile    = "$databasePath/axiom-data/$directory/imagecomments.txt";
  $ratingContent = getContents($ratingFile);
  $ratingID      = $ratingContent["ID"];
  $fp = fopen($ratingFile, 'w');
  flock($fp, 2);
  for($i=1;$i<=count($ratingID);$i++)
  {
    $identifier   = $ratingContent["ID"][$i];
    $imageAlbum   = $ratingContent["TITLE"][$i];
    $imageComment = $ratingContent["MAIN"][$i];
    $imageDate    = $ratingContent["DATE"][$i];
    $imageAuthor  = $ratingContent["AUTHOR"][$i];
    $imageVeiws   = $ratingContent["VEIWS"][$i];
    $ratingRating = $ratingContent["RATE"][$i];
    $ratingVotes  = $ratingContent["VOTES"][$i];
    $ratingVotes  = trim($ratingVotes);
    $ratingVotes  = chop($ratingVotes);
    if($idImage === $identifier && $album === $imageAlbum)
    {
      $ratingVotes  = $ratingVotes+1;
      $ratingRating = floor($ratingRating+$vote);
    }
    $newString    = $identifier."||".$imageAlbum."||".$imageComment."||".$imageDate."||".$imageAuthor."||".$imageVeiws."||".$ratingRating."||".$ratingVotes."\n";
    fputs($fp, $newString);
  }
  flock($fp, 3);
  fclose($fp);
  echo "<html>
        <head>
        <title>$SERVER_NAME Picture Gallery!!</title>
        <meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">
        <meta http-equiv=\"refresh\" content=\"1;URL=$PHP_SELF?filename=$filename&action=displayImages\">
        </head>
        <body bgcolor=\"#FFFFFF\">
         <div align=\"center\">
         <p>&nbsp;</p>
         <p>&nbsp;</p>
         <p><font size=\"2\" face=\"Verdana\"><b>Thank you
          for voting $username. This page is being generated now. <br>
          You will be sent back automatically.<br>
          </b></font></p>
         <hr noshade>
         <p><font size=\"2\" face=\"Verdana\"><b> </b></font></p>
         </div>
      </body>
      </html>";
} 

function voteForm(){
  global $commentID,
         $comment_text,
         $imgname,
         $filename,
         $vote,
         $album,
         $PHP_AUTH_USER,
         $directory,
         $databasePath;

  $idImage       = preg_replace("/(.jpg)|(.jpeg)/i", "", $filename);
  $ratingFile    = "$databasePath/axiom-data/$directory/imagecomments.txt";
  if(isset($filename))
  {
    $ratingContent = getContents($ratingFile);
    $ratingID      = $ratingContent["ID"];
    for($i=1;$i<=count($ratingID);$i++)
    {
      $identifier   = $ratingContent["ID"][$i];
      $imageAlbum   = $ratingContent["TITLE"][$i];
      $imageComment = $ratingContent["MAIN"][$i];
      $imageDate    = $ratingContent["DATE"][$i];
      $imageAuthor  = $ratingContent["AUTHOR"][$i];
      $imageVeiws   = $ratingContent["VEIWS"][$i];
      $ratingRating = $ratingContent["RATE"][$i];
      $ratingVotes  = $ratingContent["VOTES"][$i];
      $ratingVotes  = trim($ratingVotes);
      $ratingVotes  = chop($ratingVotes);
      if(($idImage === $identifier && $album === $imageAlbum) && $ratingVotes != "")
      {
        $currentRating = ceil($ratingRating/$ratingVotes);
        $buffer       .= "Number of views &nbsp;".$imageVeiws."<BR>";
        $buffer       .= "Number of Votes &nbsp;".$ratingVotes."<br>";
        $buffer       .= "Current Rating <br> <img src=\"../images/stars-".$currentRating.".gif\"><br><BR>";
      }
    }
  $buffer  .= "Rate this image now!!<br>"  
           ."<form name=\"addvote\" method=\"post\" action=\"index.php\">" 
           ."<input type=\"radio\" name=\"vote\" value=\"1\" class=\"stop\">"
           ."<img src=\"../images/stars-1.gif\" width=\"64\" height=\"12\"><br>"
           ."<input type=\"radio\" name=\"vote\" value=\"2\" class=\"stop\">"
           ."<img src=\"../images/stars-2.gif\" width=\"64\" height=\"12\"><br>"
           ."<input type=\"radio\" name=\"vote\" value=\"3\" class=\"stop\">"
           ."<img src=\"../images/stars-3.gif\" width=\"64\" height=\"12\"><br>"
           ."<input type=\"radio\" name=\"vote\" value=\"4\" class=\"stop\">"
           ."<img src=\"../images/stars-4.gif\" width=\"64\" height=\"12\"><br>"
           ."<input type=\"radio\" name=\"vote\" value=\"5\" class=\"stop\">"
           ."<img src=\"../images/stars-5.gif\" width=\"64\" height=\"12\"><br><br>" 
           ."<input type=\"submit\" value=\"Vote\">"
           ."<input type=\"hidden\" name=\"filename\" value=\"$filename\">"
           ."<input type=\"hidden\" name=\"action\" value=\"addVote\">"
           ."</form>";
  }
  else
  {
    $buffer = "No Picture Selected";
  }
  return($buffer);
}

?>
