<?

/***************************************************************************
* Picture/News Gallery Version 0.5.0b (axiom)                              *
*       Copyright (c) 2002 BY Geoffrey Golliher <cid441@hotmail.com>       *
*   please see licence.txt for usage                                       *
*       Creation Date 04/20/2001                                           *
*                                                                          *
* This program is free software. You can redistribute it and/or modify     *
* it under the terms of the GNU General Public License as published by     *
* the Free Software Foundation; either version 2 of the License.           *
***************************************************************************/
//script name commentFunctions.inc

if (eregi("commentFunctions.inc",$PHP_SELF))
{
  Header("Location: index.php");
  die();
}

function userComEdit($commentID, $imgname, $isImg, $album, $start){
  global $galleryAdmin,
         $galleryUser, 
         $PHPSESSID, 
         $directory,
         $databasePath;
  
  $isAdmin = validateAdmin($galleryAdmin, $PHPSESSID);
  $isUser  = validateUser($galleryUser, $PHPSESSID);
  if(!$isUser && !$isAdmin)
  {
    echo "<font color=red><b>you are not allowed to do this!</b></font>";
    exit;
  }
   
  $userCommentFile    = "$databasePath/axiom-data/$directory/usercomments.txt";
  $userCommentContent = getContents($userCommentFile);
  $userCommentID      = $userCommentContent["ID"];
  for($i=1;$i<=count($userCommentID);$i++)
  {
    $identifier   = $userCommentContent["ID"][$i];
    $storyTitle   = $userCommentContent["TITLE"][$i];
    $storyContent = $userCommentContent["MAIN"][$i];
    $storyDate    = $userCommentContent["DATE"][$i];
    $storyAuthor  = $userCommentContent["AUTHOR"][$i];
    $storyAlbum   = $userCommentContent["VEIWS"][$i];
    $storyAuthor  = trim($storyAuthor);
    $storyAuthor  = chop($storyAuthor);
    $storyContent = str_replace("<img src=\"../images/smiles/icon_biggrin.gif\">", ":-D", $storyContent);
    $storyContent = str_replace("<img src=\"../images/smiles/icon_smile.gif\">", ":-)",  $storyContent);
    $storyContent = str_replace("<img src=\"../images/smiles/icon_frown.gif\">", ":-(", $storyContent);
    $storyContent = str_replace("<img src=\"../images/smiles/icon_eek.gif\">", ":-o", $storyContent);
    $storyContent = str_replace("<img src=\"../images/smiles/icon_confused.gif\">", ":-?", $storyContent);
    $storyContent = str_replace("<img src=\"../images/smiles/icon_cool.gif\">", "8-)", $storyContent);
    $storyContent = str_replace("<img src=\"../images/smiles/icon_lol.gif\">", ":lol:", $storyContent);
    $storyContent = str_replace("<img src=\"../images/smiles/icon_mad.gif\">", ":-x", $storyContent);
    $storyContent = str_replace("<img src=\"../images/smiles/icon_razz.gif\">", ":-P", $storyContent);
    $storyContent = str_replace("<img src=\"../images/smiles/icon_redface.gif\">", ":oops:", $storyContent);
    $storyContent = str_replace("<img src=\"../images/smiles/icon_cry.gif\">", ":cry:", $storyContent);
    $storyContent = str_replace("<img src=\"../images/smiles/icon_evil.gif\">", ":evil:", $storyContent);
    $storyContent = str_replace("<img src=\"../images/smiles/icon_rolleyes.gif\">", ":roll:", $storyContent);
    $storyContent = str_replace("<img src=\"../images/smiles/icon_wink.gif\">", ";-)", $storyContent);
    $nf           = stripslashes($storyContent);
    $nf           = str_replace("<br>", "\n", $nf);
    $nf           = str_replace("<br />", "\n", $nf);
    if($storyTitle === $commentID)
    {
      echo "<form name=\"post_comments\" enctype=\"text/html\" action=\"$PHP_SELF\">
      <textarea name=\"comment_save\" cols=\"60\" rows=\"5\">$nf</textarea>
      <br>
       <font face=\"Arial, Verdana, Tahoma\" size=\"2\">
          Click on the Smile to insert it in your Message:
         <BR><A href=javascript:x() onclick=\"DoSmilie(' :-D ');\">
        <IMG alt=:-D src=\"../images/smiles/icon_biggrin.gif\" border=0></A>&nbsp;&nbsp;
        <A href=javascript:x() onclick=\"DoSmilie(' :-) ');\">
        <IMG alt=:-) src=\"../images/smiles/icon_smile.gif\" border=0></A>&nbsp;&nbsp;
        <A href=javascript:x() onclick=\"DoSmilie(' :-( ');\">
        <IMG alt=:-( src=\"../images/smiles/icon_frown.gif\" border=0></A>&nbsp;&nbsp;
        <A href=javascript:x() onclick=\"DoSmilie(' :-o ');\">
        <IMG alt=:-o src=\"../images/smiles/icon_eek.gif\" border=0></A>&nbsp;&nbsp;
        <A href=javascript:x() onclick=\"DoSmilie(' :-? ');\">
        <IMG alt=:-? src=\"../images/smiles/icon_confused.gif\" border=0></A>&nbsp;&nbsp;
        <A href=javascript:x() onclick=\"DoSmilie(' 8-) ');\">
        <IMG alt=8-) src=\"../images/smiles/icon_cool.gif\" border=0></A>&nbsp;&nbsp;
        <A href=javascript:x() onclick=\"DoSmilie(' :lol: ');\">
        <IMG alt=:lol: src=\"../images/smiles/icon_lol.gif\" border=0></A>&nbsp;&nbsp;
        <A href=javascript:x() onclick=\"DoSmilie(' :-x ');\">
        <IMG alt=:-x src=\"../images/smiles/icon_mad.gif\" border=0></A>&nbsp;&nbsp;
        <A href=javascript:x() onclick=\"DoSmilie(' :-P ');\">
        <IMG alt=:-P src=\"../images/smiles/icon_razz.gif\" border=0></A>&nbsp;&nbsp;
        <A href=javascript:x() onclick=\"DoSmilie(' :oops: ');\">
        <IMG alt=:oops: src=\"../images/smiles/icon_redface.gif\" border=0></A>&nbsp;&nbsp;
        <A href=javascript:x() onclick=\"DoSmilie(' :cry: ');\">
        <IMG alt=:cry: src=\"../images/smiles/icon_cry.gif\" border=0></A>&nbsp;&nbsp;
        <A href=javascript:x() onclick=\"DoSmilie(' :evil: ');\">
        <IMG alt=:evil: src=\"../images/smiles/icon_evil.gif\" border=0></A>&nbsp;&nbsp;
        <A href=javascript:x() onclick=\"DoSmilie(' :roll: ');\">
        <IMG alt=:roll: src=\"../images/smiles/icon_rolleyes.gif\" border=0></A>&nbsp;&nbsp;
        <A href=javascript:x() onclick=\"DoSmilie(' ;-) ');\">
        <IMG alt=;-) src=\"../images/smiles/icon_wink.gif\" border=0></A>&nbsp;<BR><BR>
      <input type=\"submit\" name=\"Submit\" value=\"Submit your edited comment\">
      <input type=\"hidden\" name=\"action\" value=\"changeUserComment\">
      <input type=\"hidden\" name=\"imgname\" value=\"$imgname\">
      <input type=\"hidden\" name=\"isImg\" value=\"$isImg\">
      <input type=\"hidden\" name=\"start\" value=\"$start\">
      <input type=\"hidden\" name=\"commentID\" value=\"$storyTitle\">
      </form>
      </body>
      </html>";
    }
  }
}

function changeUserComment($commentID, $comment_save, $imgname, $isImg, $album, $start){
  global $galleryAdmin,
         $galleryUser,
         $PHPSESSID, 
         $databasePath,
         $action,
         $directory;
 
  $isAdmin = validateAdmin($galleryAdmin, $PHPSESSID);
  $isUser  = validateUser($galleryUser, $PHPSESSID);

  if(!$isUser && !$isAdmin)
  {
    echo "<font color=red><b>you are not allowed to do this!</b></font>";
    exit;
  }

  if($isImg == "")
  {
    $itemID = "newsitem";
    $action = "newsitem";
  }
  else
  {
    $itemID = "filename";
    $action = "displayImages";
  }
  $userCommentFile  = "$databasePath/axiom-data/$directory/usercomments.txt";
  $comment_save     = str_replace(":-D", "<img src=\"../images/smiles/icon_biggrin.gif\">", $comment_save);
  $comment_save     = str_replace(":-)", "<img src=\"../images/smiles/icon_smile.gif\">", $comment_save);
  $comment_save     = str_replace(":-(", "<img src=\"../images/smiles/icon_frown.gif\">", $comment_save);
  $comment_save     = str_replace(":-o", "<img src=\"../images/smiles/icon_eek.gif\">", $comment_save);
  $comment_save     = str_replace(":-?", "<img src=\"../images/smiles/icon_confused.gif\">", $comment_save);
  $comment_save     = str_replace("8-)", "<img src=\"../images/smiles/icon_cool.gif\">", $comment_save);
  $comment_save     = str_replace(":lol:", "<img src=\"../images/smiles/icon_lol.gif\">", $comment_save);
  $comment_save     = str_replace(":-x", "<img src=\"../images/smiles/icon_mad.gif\">", $comment_save);
  $comment_save     = str_replace(":-P", "<img src=\"../images/smiles/icon_razz.gif\">", $comment_save);
  $comment_save     = str_replace(":oops:", "<img src=\"../images/smiles/icon_redface.gif\">", $comment_save);
  $comment_save     = str_replace(":cry:", "<img src=\"../images/smiles/icon_cry.gif\">", $comment_save);
  $comment_save     = str_replace(":evil:", "<img src=\"../images/smiles/icon_evil.gif\">", $comment_save);
  $comment_save     = str_replace(":roll:", "<img src=\"../images/smiles/icon_rolleyes.gif\">", $comment_save);
  $comment_save     = str_replace(";-)", "<img src=\"../images/smiles/icon_wink.gif\">", $comment_save);
  $comment_save     = str_replace("<br>", "\n", $comment_save);
  $userCommentContent = getContentsWrite($userCommentFile);
  $userCommentID      = $userCommentContent["ID"];
  $fp = fopen($userCommentFile, 'w');
  flock($fp, 2);
  for($i=1;$i<=count($userCommentID);$i++)
  {
    $identifier   = $userCommentContent["ID"][$i];
    $storyTitle   = $userCommentContent["TITLE"][$i];
    $storyContent = $userCommentContent["MAIN"][$i];
    $storyDate    = $userCommentContent["DATE"][$i];
    $storyAuthor  = $userCommentContent["AUTHOR"][$i];
    $storyAlbum   = $userCommentContent["VEIWS"][$i];
    if($storyTitle === $commentID)
    {
      $storyContent = $comment_save;
    }
    $storyContent = strip_tags($storyContent, '<img><br><a><b><i><u>');
    $storyContent = str_replace("\n", "<br>", $storyContent);
    $storyContent = stripslashes($storyContent);
    $newString    = $identifier."||".$storyTitle."||".$storyContent."||".$storyDate."||".$storyAuthor."||".$storyAlbum."||".$storyRating."||".$storyVotes."\n";
    fputs($fp, $newString);
  }
  flock($fp, 3);
  fclose($fp);
  echo "<html>
        <head>
        <title>$SERVER_NAME Picture Gallery!!</title>
        <meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">
        <meta http-equiv=\"refresh\" content=\"1;URL=$PHP_SELF?action=$action&$itemID=$imgname&start=$start\">
        </head>
        <body bgcolor=\"#FFFFFF\">
         <div align=\"center\">
         <p>&nbsp;</p>
         <p>&nbsp;</p>
         <p><font size=\"2\" face=\"Verdana\"><b>Thank you
          for editing this comment $username. This page is being generated now. <br>
          You will be sent back automatically.<br>
          </b></font></p>
         <hr noshade>
         <p><font size=\"2\" face=\"Verdana\"><b> </b></font></p>
         </div>
      </body>
      </html>";
}

function userComDelete($commentID, $isImg, $imgname){
  global $galleryAdmin,
         $galleryUser,
         $PHPSESSID,
         $directory,
         $databasePath;

  $isAdmin = validateAdmin($galleryAdmin, $PHPSESSID);
  $isUser  = validateUser($galleryUser, $PHPSESSID);
  if(!$isUser || !$isAdmin)
  {
    echo "<font color=red><b>you are not allowed to do this!</b></font>";
    exit;
  }

  if(isset($filename))
  {
        unset($filename);
  }
  if($isImg == "")
  {
    $itemName = "newsitem";
  }
  else
  {
    $itemName = "filename";
  }
  $userCommentFile    = "$databasePath/axiom-data/$directory/usercomments.txt";
  $userCommentContent = getContents($userCommentFile);
  $userCommentID      = $userCommentContent["ID"];
  for($i=1;$i<=count($userCommentID);$i++)
  {
    $identifier   = $userCommentContent["ID"][$i];
    $storyTitle   = $userCommentContent["TITLE"][$i];
    $storyContent = $userCommentContent["MAIN"][$i];
    $storyDate    = $userCommentContent["DATE"][$i];
    $storyAuthor  = $userCommentContent["AUTHOR"][$i];
    $storyAuthor  = trim($storyAuthor);
    $storyAuthor  = chop($storyAuthor);
    if($commentID === $storyTitle)
    {
      echo"<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">
           <tr align=\"left\" valign\"top\"><td width=\"5\" valign=\"top\"><td>
           <font face=\"Verdana\" size=\"2\"><b>";
      printf ("<DIV ALIGN=\"LEFT\"><FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\"><B>Comment ID# %s &nbsp;
             <BR></B><FONT SIZE=\"1\">%s --By %s</FONT></b></DIV><BR>",
             $storyTitle, $storyDate, $storyAuthor);

  echo"</font></b></td></td></tr></table>";
  echo"<br><br><hr noshade><div align=\"center\">
       <font face=\"Verdana\" size=\"1\"><b>
       <a href=\"$PHP_SELF?$itemName=$imgname\">Click here to cancel this action.</a><br><br>
       <a href=\"$PHP_SELF?action=delUserComment&comment_del_item=$storyTitle&imgname=$imgname&isImg=$isImg\">
       Click here to PERMENENTLY DELETE this comment.</a></b></font></div>";
   }
 }
}  

function delUserComment($imgname, $isImg, $comment_del_item){
  global $galleryAdmin,
         $galleryUser,
         $PHPSESSID,
         $directory,
         $databasePath;
  
  $isAdmin = validateAdmin($galleryAdmin, $PHPSESSID);
  $isUser  = validateUser($galleryUser, $PHPSESSID);
  if(!$isUser || !$isAdmin)
  {
    echo "<font color=red><b>you are not allowed to do this!</b></font>";
    exit;
  }
  if(isset($filename))
  {
        unset($filename);
  }
  if($isImg == "")
  {
    $itemName = "newsitem";
    $action   = "newsitem";
  }
  else
  {
    $itemName = "filename";
    $action   = "displayImages";
  }
  if(isset($comment_del_item))
  {
    $userCommentFile    = "$databasePath/axiom-data/$directory/usercomments.txt";
    $userCommentContent = getContentsWrite($userCommentFile);
    $fp                 = fopen($userCommentFile, 'w');
    flock($fp, 2);
    $userCommentID      = $userCommentContent["ID"];
    for($i=1;$i<=count($userCommentID);$i++)
    {
      $identifier   = $userCommentContent["ID"][$i];
      $storyTitle   = $userCommentContent["TITLE"][$i];
      $storyContent = $userCommentContent["MAIN"][$i];
      $storyDate    = $userCommentContent["DATE"][$i];
      $storyAuthor  = $userCommentContent["AUTHOR"][$i];
      $storyVeiws   = $userCommentContent["VEIWS"][$i];
      $storyRating  = $userCommentContent["RATE"][$i];
      $storyVotes   = $userCommentContent["VOTES"][$i];
      $storyVotes   = trim($storyVotes);
      $storyVotes  = chop($storyVotes);
      if($storyTitle === $comment_del_item)
      {
        unset($identifier);
        unset($storyTitle);
        unset($storyContent);
        unset($storyDate);
        unset($storyAuthor);
        unset($storyVeiws);
        unset($storyRating);
        unset($storyVotes);
      }
      for($j=1;$j<=count($identifier);$j++)
      {
        $newString = $identifier."||".$storyTitle."||".$storyContent."||".$storyDate."||".$storyAuthor."||".$storyVeiws."||".$storyRating."||".$storyVotes."\n";
        fputs($fp, $newString);
      }
    }
    flock($fp, 3);
    fclose($fp);
    echo"<font face=\"Verdana\" size=\"2\"><b>Comments have been removed.</font></b><br><br>";
    header("location: index.php?action=$action&$itemName=$imgname");
  }
}

function userCommentForm(){
  global $username,
         $filename,
         $start,
         $album,
         $newsitem,
         $directory,
         $marker,
         $action,
         $imgname,
         $PHP_SELF,
         $PHP_AUTH_USER,
         $galleryAdmin,
         $galleryUser,
         $PHPSESSID,
         $databasePath;
         
  $isAdmin = validateAdmin($galleryAdmin, $PHPSESSID);
  $isUser  = validateUser($galleryUser, $PHPSESSID);
  if(isset($filename) || isset($newsitem))
  {
    echo"<div align=\"center\">
         <table width=\"90%\" border=\"0\" cellspacing=\"0\" cellpadding=\"5\" height=\"185\">
         <tr>
          <form name=\"post_comments\" method=\"POST\" action=\"$PHP_SELF\">
           <td height=\"23\" width=\"68%\" valign=\"top\" align=\"center\"><font size=\"2\" face=\"Verdana\"><b>Post
            a comment about this item.</b></font> 
           </td>
          </tr>
          <tr>
           <td rowspan=\"3\" width=\"68%\" align=\"center\">
            <textarea name=\"comment_save\" cols=\"60\" rows=\"4\"></textarea><BR>
            <font face=\"Arial, Verdana, Tahoma\" size=\"2\">
          Click on the Smile to insert it in your Message:
         <BR><A href=javascript:x() onclick=\"DoSmilie(' :-D ');\">
        <IMG alt=:-D src=\"../images/smiles/icon_biggrin.gif\" border=0></A>&nbsp;&nbsp;
        <A href=javascript:x() onclick=\"DoSmilie(' :-) ');\">
        <IMG alt=:-) src=\"../images/smiles/icon_smile.gif\" border=0></A>&nbsp;&nbsp;
        <A href=javascript:x() onclick=\"DoSmilie(' :-( ');\">
        <IMG alt=:-( src=\"../images/smiles/icon_frown.gif\" border=0></A>&nbsp;&nbsp;
        <A href=javascript:x() onclick=\"DoSmilie(' :-o ');\">
        <IMG alt=:-o src=\"../images/smiles/icon_eek.gif\" border=0></A>&nbsp;&nbsp;
        <A href=javascript:x() onclick=\"DoSmilie(' :-? ');\">
        <IMG alt=:-? src=\"../images/smiles/icon_confused.gif\" border=0></A>&nbsp;&nbsp;
        <A href=javascript:x() onclick=\"DoSmilie(' 8-) ');\">
        <IMG alt=8-) src=\"../images/smiles/icon_cool.gif\" border=0></A>&nbsp;&nbsp;
        <A href=javascript:x() onclick=\"DoSmilie(' :lol: ');\">
        <IMG alt=:lol: src=\"../images/smiles/icon_lol.gif\" border=0></A>&nbsp;&nbsp;
        <A href=javascript:x() onclick=\"DoSmilie(' :-x ');\">
        <IMG alt=:-x src=\"../images/smiles/icon_mad.gif\" border=0></A>&nbsp;&nbsp;
        <A href=javascript:x() onclick=\"DoSmilie(' :-P ');\">
        <IMG alt=:-P src=\"../images/smiles/icon_razz.gif\" border=0></A>&nbsp;&nbsp;
        <A href=javascript:x() onclick=\"DoSmilie(' :oops: ');\">
        <IMG alt=:oops: src=\"../images/smiles/icon_redface.gif\" border=0></A>&nbsp;&nbsp;
        <A href=javascript:x() onclick=\"DoSmilie(' :cry: ');\">
        <IMG alt=:cry: src=\"../images/smiles/icon_cry.gif\" border=0></A>&nbsp;&nbsp;
        <A href=javascript:x() onclick=\"DoSmilie(' :evil: ');\">
        <IMG alt=:evil: src=\"../images/smiles/icon_evil.gif\" border=0></A>&nbsp;&nbsp;
        <A href=javascript:x() onclick=\"DoSmilie(' :roll: ');\">
        <IMG alt=:roll: src=\"../images/smiles/icon_rolleyes.gif\" border=0></A>&nbsp;&nbsp;
        <A href=javascript:x() onclick=\"DoSmilie(' ;-) ');\">
        <IMG alt=;-) src=\"../images/smiles/icon_wink.gif\" border=0></A>&nbsp;<BR> 
          </td>
          </tr>
          <tr> </tr>
          <tr> </tr>
          <tr>
           <td width=\"68%\" align=\"center\">
            <input type=\"submit\" name=\"Submit\" value=\"Submit\">
            <input type=\"hidden\" name=\"op\" value=\"userCommentForm\">
            <input type=\"hidden\" name=\"storyItem\" value=\"$newsitem\">
            <input type=\"hidden\" name=\"action\" value=\"$action\">
            <input type=\"hidden\" name=\"start\" value=\"$start\">
            <input type=\"hidden\" name=\"filename\" value=\"$filename\">
            </td>
          </tr>
         </form></table>
        </div>";

    $imgfile            = preg_replace("/(.jpg)|(.jpeg)/i", "", $filename);
    $storyItem          = $newsitem;
    $userCommentFile    = "$databasePath/axiom-data/$directory/usercomments.txt";
    $userCommentContent = getContents($userCommentFile);
    $commentID          = $userCommentContent["ID"];
    $maxPageComments    = 8;
    if(($storyItem == "") || (!isset($newsitem)))
    {
      $itemID   = $imgfile;
      $itemNext = $filename;
      $itemName = "filename";
      $img      = 1;
    }
    else
    {
      $itemID   = $storyItem;
      $itemNext = $storyItem;
      $itemName = "newsitem";
      $action   = "newsitem";
    }
    if($start == "")
    {
      $start = 0;
    }
    for($i=1;$i<=count($commentID);$i++)
    {
      $identifier = $userCommentContent["ID"][$i];
      $idAlbum    = $userCommentContent["VEIWS"][$i];
      if($identifier === $itemID && $album === $idAlbum && !isset($newsitem))
      {
        $commID[]         = $userCommentContent["ID"][$i];
        $commentTitle[]   = $userCommentContent["TITLE"][$i];
        $commentContent[] = $userCommentContent["MAIN"][$i];
        $commentDate[]    = $userCommentContent["DATE"][$i];
        $commentAuthor[]  = $userCommentContent["AUTHOR"][$i];
        $commentAlbum[]   = $userCommentContent["VEIWS"][$i];
      }
      if($identifier === $itemID && isset($newsitem))
      {
        $commID[]         = $userCommentContent["ID"][$i];
        $commentTitle[]   = $userCommentContent["TITLE"][$i];
        $commentContent[] = $userCommentContent["MAIN"][$i];
        $commentDate[]    = $userCommentContent["DATE"][$i];
        $commentAuthor[]  = $userCommentContent["AUTHOR"][$i];
        $commentAlbum[]   = $userCommentContent["VEIWS"][$i];
      }
    }
    $totalCount = count($commID);
    $permCount  = count($commID);
    for($i=$start;$i<=$totalCount;$i++)
    {
      if($commentContent[$i] != "")
      {
        OpenTable3();
        echo "<font face=\"Verdana\" size=\"2\"><b>&nbsp;Message is From:&nbsp;$commentAuthor[$i]</b></font><BR>
              <div align=\"left\"><hr size=\"1\" width=\"50%\"></div>
              <font face=\"Verdana\" size=\"2\">$commentContent[$i]</font><BR><BR>
              <hr size=\"1\">
              <div align=\"right\">
              <font face=\"Arial, Verdana\" size=\"1\">";
        if($commentAuthor[$i] === $PHP_AUTH_USER && ($isUser || $isAdmin))
        {
          echo "<a href=\"$PHP_SELF?action=userComEdit&commentID=$commentTitle[$i]&imgname=$itemNext&start=$start&isImg=$img\" name=\"editusrcom\"> Edit</a> |";
        }
        if(($commentAuthor[$i] === $PHP_AUTH_USER && $isUser) || ($isAdmin))
        {
          echo   "<a href=\"$PHP_SELF?action=userComDelete&commentID=$commentTitle[$i]&imgname=$itemNext&isImg=$img\" name=\"delusrcom\"> Delete</a>";
        }
        echo "<b>&nbsp;&nbsp;&nbsp;Posted on-- $commentDate[$i]</b></font>";
        CloseTable();      
        echo "<br>";
        $commentCount++;
        if($commentCount == $maxPageComments)
        {
          $totalCount = 0;
        }
      }
    }
    echo "<DIV ALIGN=\"CENTER\">";
    if($start >= $maxPageComments)
    {
      $marker = $start-$maxPageComments;
      echo ("<FONT FACE=\"Arial, Verdana\" SIZE=\"2\">
             <<<A HREF=\"$PHP_SELF?altAction=$altAction&start=$marker&action=$action&$itemName=$itemNext\"> Previous</A>&nbsp;|</FONT>");
    }
    if(($commentCount == $maxPageComments) && ($permCount > $start+$commentCount))
    {
      $newStart = $start+$commentCount;
      $comMarker = $start;
      echo ("<FONT FACE=\"Arial, Verdana\" SIZE=\"2\">
           |&nbsp;<A HREF=\"$PHP_SELF?altAction=$altAction&start=$newStart&marker=$comMarker&action=$action&$itemName=$itemNext\">
           Next </A>>></FONT>");
    }
    echo "</DIV>";
  }
}

function saveUserComments(){
  global $filename,
         $album,
         $poster,
         $start,
         $album,
         $action,
         $storyItem,
         $comment_save,
         $imgfile,
         $nimgfile,
         $PHP_AUTH_USER,
         $fimage,
         $directory,
         $databasePath;

  $imgfile          = preg_replace("/(.jpg)|(.jpeg)/i", "", $filename);
  $userCommentFile  = "$databasePath/axiom-data/$directory/usercomments.txt";
  if($storyItem == "")
  {
    $itemID   = $imgfile;
    $itemLink = $filename;
    $itemName = "filename";
  }
  else
  {
    $itemID   = $storyItem;
    $itemLink = $itemID;
    $itemName = "newsitem";
    $action   = "newsitem";
  }
  if(!file_exists($userCommentFile))
  {
    $fp = fopen($userCommentFile, "w");
    flock($fp, 2);
    fclose($fp);
  }
  $chars            = "1,2,3,4,5,6,7,8,9,a,b,c,d,e,f,g,h";
  $length           = 8;
  $uniqID           = getRanId($chars, $length);
  $fp               = fopen("$userCommentFile", "a");
  $comment_save     = str_replace("\n", "<br>", $comment_save);
  $comment_save     = strip_tags($comment_save, '<img><br><a><b><i><u>');
  $comment_save     = stripslashes($comment_save);
  $comment_save     = str_replace(":-D", "<img src=\"../images/smiles/icon_biggrin.gif\">", $comment_save);
  $comment_save     = str_replace(":-)", "<img src=\"../images/smiles/icon_smile.gif\">", $comment_save);
  $comment_save     = str_replace(":-(", "<img src=\"../images/smiles/icon_frown.gif\">", $comment_save);
  $comment_save     = str_replace(":-o", "<img src=\"../images/smiles/icon_eek.gif\">", $comment_save);
  $comment_save     = str_replace(":-?", "<img src=\"../images/smiles/icon_confused.gif\">", $comment_save);
  $comment_save     = str_replace("8-)", "<img src=\"../images/smiles/icon_cool.gif\">", $comment_save);
  $comment_save     = str_replace(":lol:", "<img src=\"../images/smiles/icon_lol.gif\">", $comment_save);
  $comment_save     = str_replace(":-x", "<img src=\"../images/smiles/icon_mad.gif\">", $comment_save);
  $comment_save     = str_replace(":-P", "<img src=\"../images/smiles/icon_razz.gif\">", $comment_save);
  $comment_save     = str_replace(":oops:", "<img src=\"../images/smiles/icon_redface.gif\">", $comment_save);
  $comment_save     = str_replace(":cry:", "<img src=\"../images/smiles/icon_cry.gif\">", $comment_save);
  $comment_save     = str_replace(":evil:", "<img src=\"../images/smiles/icon_evil.gif\">", $comment_save);
  $comment_save     = str_replace(":roll:", "<img src=\"../images/smiles/icon_rolleyes.gif\">", $comment_save);
  $comment_save     = str_replace(";-)", "<img src=\"../images/smiles/icon_wink.gif\">", $comment_save);
  $commentDate      = date('m-d-Y');
  $newCommentString = $itemID."||".$uniqID."||".$comment_save."||".$commentDate."||".$PHP_AUTH_USER."||".$album."||".$storyRating."||".$storyVotes."\n";

  fputs($fp, $newCommentString);
  flock($fp, 3);
  fclose($fp);

  echo"<html>
       <head>
       <title>$SERVER_NAME Picture Gallery!!</title>
       <meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">
       <meta http-equiv=\"refresh\" content=\"1;URL=$PHP_SELF?action=$action&$itemName=$itemLink&start=$start\">
       </head>
       <body bgcolor=\"#FFFFFF\">
       <div align=\"center\">
       <p><font size=\"2\" face=\"Verdana\"><b>Your comments have been added. <br>
       You will be sent back automatically.<br>
       </b></font></p>
       <hr noshade>
       <p><font size=\"2\" face=\"Verdana\"><b> </b></font></p>
       </div>
       </body>
       </html>";
  exit;
}    
?>
