<?

/***************************************************************************
* Picture/News Gallery Version 0.5.0b (axiom)                              *
*       Copyright (c) 2002 BY Geoffrey Golliher <cid441@hotmail.com>       *
*   please see licence.txt for usage                                       *
*       Creation Date 04/20/2001                                           *
*                                                                          *
* This program is free software. You can redistribute it and/or modify     *
* it under the terms of the GNU General Public License as published by     *
* the Free Software Foundation; either version 2 of the License.           *
***************************************************************************/

//subroutine to get the DB files holding comments and news for display purpose
function getContents($file) {
  $fileString   = @join('', file($file));
  $fileString   = trim($fileString);
  $fileArray    = explode("\n", $fileString);
  $fileArray    = array_reverse($fileArray);
  for($i=0;$i<=count($fileArray);$i++)
  {
    $reversedArray[] = $fileArray[$i];
  }
  $reversedString = implode("\n", $reversedArray);
  $reversedString = str_replace("\n", "||", $reversedString);
  $contentArray = explode("||", $reversedString);
  for($i=1; $i<=count($contentArray)/8; $i++)
  {
    $content["ID"][$i]      = $contentArray[8 * ($i - 1)];
    $content["TITLE"][$i]   = $contentArray[8 * ($i - 1) + 1];
    $content["MAIN"][$i]    = $contentArray[8 * ($i - 1) + 2];
    $content["DATE"][$i]    = $contentArray[8 * ($i - 1) + 3];
    $content["AUTHOR"][$i]  = $contentArray[8 * ($i - 1) + 4];
    $content["VEIWS"][$i]   = $contentArray[8 * ($i - 1) + 5];
    $content["RATE"][$i]    = $contentArray[8 * ($i - 1) + 6];
    $content["VOTES"][$i]   = $contentArray[8 * ($i - 1) + 7];
  }
  return($content);
}

//subroutine to get the DB files holding comments and news for writing purpose
function getContentsWrite($file) {
  $fileArray    = @join('', file($file));
  $fileArray    = str_replace("\n", "||", $fileArray);
  $fileArray    = trim($fileArray);
  $contentArray = explode("||", $fileArray);
  for($i=1; $i<=count($contentArray)/8; $i++)
  {
    $content["ID"][$i]      = $contentArray[8 * ($i - 1)];
    $content["TITLE"][$i]   = $contentArray[8 * ($i - 1) + 1];
    $content["MAIN"][$i]    = $contentArray[8 * ($i - 1) + 2];
    $content["DATE"][$i]    = $contentArray[8 * ($i - 1) + 3];
    $content["AUTHOR"][$i]  = $contentArray[8 * ($i - 1) + 4];
    $content["VEIWS"][$i]   = $contentArray[8 * ($i - 1) + 5];
    $content["RATE"][$i]    = $contentArray[8 * ($i - 1) + 6];
    $content["VOTES"][$i]   = $contentArray[8 * ($i - 1) + 7];
  }
  return($content);
}

function recordName($name, $public, $creationDate, $newsFeature, $rateFeature, $commentFeature, $newsProtect, $email, $siteTitle, $inviteOnly, $databasePath, $defaultAlbum) {
  $userFile  = "$databasePath/axiom-data/users.dat";
  $siteTitle = str_replace("||", "", $siteTitle);
  $email     = str_replace("||", "", $email); 
  if(!file_exists($userFile))
  {
    $fp = @fopen($userFile, 'w');
        fclose($fp);
        @chmod($userFile, 0777);
  }
  $fp = @fopen($userFile, 'a');
  fputs($fp, $name."||".$public."||".$creationDate."||||1||0||1||".$newsFeature."||".$rateFeature."||".$commentFeature."||1||".$newsProtect."||".$email."||".$siteTitle."||".$inviteOnly."||".$defaultAlbum."\n");
  fclose($fp);
}

function userStringConstructor($userArray){
  $userArray[12] = str_replace("||", "", $userArray[12]);
  $userArray[13] = str_replace("||", "", $userArray[13]);

  $newString = $userArray[0]."||".$userArray[1]."||".$userArray[2]."||".$userArray[3]."||".$userArray[4]."||".$userArray[5]."||".$userArray[6]."||".$userArray[7]."||".$userArray[8]."||".$userArray[9]."||".$userArray[10]."||".$userArray[11]."||".$userArray[12]."||".$userArray[13]."||".$userArray[14]."||".trim($userArray[15])."\n"; 
  return $newString;
}

function recordModUserList($albumName, $user){
   global $databasePath; 
 
  $userList      = "$databasePath/axiom-data/users.dat";
  $userFileArray = file($userList);
  $fp            = fopen($userList, "w");
  flock($fp, 2);
  foreach($userFileArray as $value)
  {
    if($value)
    {
      $userArray = explode("||", $value);
      if($userArray[0] === $user)
      {
        $userArray[3] = date("F j, Y g: i a");
      }
      $newString = userStringConstructor($userArray);
      fputs($fp, $newString);
    }
  }
  flock($fp, 3);
  fclose($fp);
}

function removeImageUserList($albumName, $user, $number){
   global $databasePath; 
 
  $userList      = "$databasePath/axiom-data/users.dat";
  $userFileArray = file($userList);
  $fp            = fopen($userList, "w");
  flock($fp, 2);
  foreach($userFileArray as $value)
  {
    if($value)
    {
      $userArray = explode("||", $value);
      if($userArray[0] === $user)
      {
        $inc          = $userArray[5];
        if($number > 0)
        {
          $userArray[5] = $inc-$number;
        }
        $userArray[3] = date("F j, Y g: i a");
      }
      $newString = userStringConstructor($userArray);
      fputs($fp, $newString);
    }
  }
  flock($fp, 3);
  fclose($fp);
}

function recordImageUserList($albumName, $user){
  global $databasePath;  

  $userList      = "$databasePath/axiom-data/users.dat";
  $userFileArray = file($userList);
  $fp            = fopen($userList, "w");
  flock($fp, 2);
  foreach($userFileArray as $value)
  {
    if($value)
    {
      $userArray = explode("||", $value);
      if($userArray[0] === $user)
      {
        $inc          = $userArray[5];
        $userArray[5] = $inc+1;
        $userArray[3] = date("F j, Y g: i a");
      }
      $newString = userStringConstructor($userArray);
      fputs($fp, $newString);
    }
  }
  flock($fp, 3);
  fclose($fp);
}

function recordNewMemUserList($albumName, $user){
   global $databasePath;
  
  $userList      = "$databasePath/axiom-data/users.dat";
  $userFileArray = file($userList);
  $fp            = fopen($userList, "w");
  flock($fp, 2);
  foreach($userFileArray as $value)
  {
    if($value)
    {
      $userArray     = explode("||", $value);
      if($userArray[0] === $user)
      {
        $inc          = $userArray[6];
        $userArray[6] = $inc+1;
        $userArray[6] = $userArray[6];
      }
      $newString = userStringConstructor($userArray);
      fputs($fp, $newString);
    }
  }
  flock($fp, 3);
  fclose($fp);
}

function recordAlbumUserList($albumName, $user){
  global $databasePath;

  $userList      = "$databasePath/axiom-data/users.dat";
  $userFileArray = file($userList);
  $fp            = fopen($userList, "w");
  flock($fp, 2);
  foreach($userFileArray as $value)
  {
    if($value)
    {
      $userArray     = explode("||", $value);
      if($userArray[0] === $user)
      {
        $inc          = $userArray[4];
        $userArray[4] = $inc+1;
      }
      $newString = userStringConstructor($userArray);
      fputs($fp, $newString);
    }
  }
  flock($fp, 3);
  fclose($fp);
  return;
}

function removeAlbumUserList($albumName, $user){
  global $databasePath; 
 
  $userList      = "$databasePath/axiom-data/users.dat";
  $userFileArray = file($userList);
  $fp            = fopen($userList, "w");
  flock($fp, 2);
  foreach($userFileArray as $value)
  {
    if($value)
    {
      $userArray     = explode("||", $value);
      if($userArray[0] === $user)
      {
        $inc          = $userArray[4];
        $userArray[4] = $inc-1;
      }
      $newString = userStringConstructor($userArray);
      fputs($fp, $newString);
    }
  }
  flock($fp, 3);
  fclose($fp);
  return;
}

function setPrefs($newsOn, $scrollOn, $ratingOn, $commentOn, $siteTitle, $newsProtect, $inviteOnly, $user, $formAction, $directory, $publicOn, $defaultAlbum){
  global $PHP_AUTH_PW,
         $databasePath;

$isAdmin = checkAdmin($user, $PHP_AUTH_PW);
if(!$isAdmin)
  {
    die("you are not allowed to do this!");
  }

  $userList      = "$databasePath/axiom-data/users.dat";
  $userFileArray = file($userList);
  $fp            = fopen($userList, "w");
  flock($fp, 2);
  foreach($userFileArray as $value)
  {
    if($value)
    {
      $userArray     = explode("||", $value);
      if($userArray[0] === $directory)
      {
        $userArray[1]  = $publicOn;
        $userArray[7]  = $newsOn;
        $userArray[8]  = $ratingOn;
        $userArray[9]  = $commentOn;
        $userArray[10] = $scrollOn;
        $userArray[11] = $newsProtect;
        $userArray[13] = $siteTitle;
        $userArray[14] = $inviteOnly;
        $userArray[15] = $defaultAlbum;
      }
      $newString = userStringConstructor($userArray);
      fputs($fp, $newString);
    }
  }
  flock($fp, 3);
  fclose($fp);
  echo "<b><font color=red>Changes made. Please click the \"Home\" button to see all the changes.</font></b>";
  preferenceForm($user, $directory, $formAction);
}

function checkValidAlbum($album, $directory){
  global $databasePath;

  $albumList  = "$databasePath/axiom-data/$directory/albumlist.txt";
  $albumFile  = join('', file($albumList));
  $albumArray = explode("\n", $albumFile);
  for($i=0;$i<count($albumArray);$i++)
  {
    if($albumArray[$i])
    {
      $albumRealName = explode(":", $albumArray[$i]);
      if($album = $albumRealName[0])
      {
        return TRUE;
        break;
      }
    }
  }
  return FALSE;
}
?>
