<?

/***************************************************************************
* Picture/News Gallery Version 0.5.0b (axiom)                              *
*       Copyright (c) 2002 BY Geoffrey Golliher <cid441@hotmail.com>       *
*   please see licence.txt for usage                                       *
*       Creation Date 04/20/2001                                           *
*                                                                          *
* This program is free software. You can redistribute it and/or modify     *
* it under the terms of the GNU General Public License as published by     *
* the Free Software Foundation; either version 2 of the License.           *
***************************************************************************/
//script name pictureFunctions.inc

if (eregi("pictureFunctions.inc",$PHP_SELF))
{
  Header("Location: index.php");
  die();
}

$pageImg = checkUserPrefs($PHP_AUTH_USER);
if(!$pageImg[5])
{
  $maxPerPage = 9;
}
else
{
  $maxPerPage = $pageImg[5];
}

function createImage($size,$source,$dest,$quality,$border=0) {
  global $convert,
         $imgProgram;

  $sourcedate = 0;
  $destdate   = 0;
  if (file_exists($dest))
  {
    clearstatcache();
    $sourceinfo = stat($source);
    $destinfo   = stat($dest);
    $sourcedate = $sourceinfo[10];
    $destdate   = $destinfo[10];
  }
  if (!file_exists("$dest") or ($sourcedate > $destdate))
  {
    global $ImageTool;
    $imgsize    = getImageSize($source);
    $width      = $imgsize[0];
    $height     = $imgsize[1];
    $new_width  = $size;
    $new_height = ceil($size * $height / $width);
    if($imgProgram === "gd")
    {
      $src_img     = imagecreatefromjpeg($source);
      $dst_img     = imagecreate($size,$new_height);
      imagecopyresized($dst_img, $src_img, 0, 0, 0, 0, $size, $new_height, $width, $height);
      imagejpeg($dst_img,$dest,$quality);
      imagedestroy($src_img);
      imagedestroy($dst_img);
    }
    if($imgProgram === "magick")
    {
      system("$convert -quality 80 -antialias -geometry $new_width" . "x" . "$new_height -bordercolor black -border 1x1 \"$source\" \"$dest\" 2>&1");
    }
  }
}

function textFormImage($formAction, $album, $imagename){
  global $directory,
         $databasePath;

  $image_dir     = $album;
  $commentFile   = "$databasePath/axiom-data/$directory/imagecomments.txt";
  $idImage       = preg_replace("/(.jpg)|(.jpeg)/i", "", $imagename);
  $imageComments = getContents($commentFile);
  $imageID       = $imageComments["ID"];
  for($i=1;$i<=count($imageID);$i++)
  {
    $identifier   = $imageComments["ID"][$i];
    $imageAlbum   = $imageComments["TITLE"][$i];
    $imageComment = $imageComments["MAIN"][$i];
    $imageDate    = $imageComments["DATE"][$i];
    $imageAuthor  = $imageComments["AUTHOR"][$i];
    $imageVeiws   = $imageComments["VEIWS"][$i];
    $imageRating  = $imageComments["RATE"][$i];
    $imageVotes   = $imageComments["VOTES"][$i];
    $imageVotes   = trim($imageVotes);
    $imageVotes   = chop($imageVotes);
    if($identifier === $idImage && $album === $imageAlbum)
    {
      $imageComment = str_replace("<br>", "\n", $imageComment);
      $theComment   = stripslashes($imageComment);
      $theID        = $identifier;
      $theDate      = $imageDate;
      $theAlbum     = $imageAlbum;
      $theAuthor    = $imageAuthor;
      $theVeiws     = $imageVeiws;
      $theRating    = $imageRating;
      $theVotes     = $imageVotes;
    }
  }

  echo"<table><tr><td>";

  $filenames = openDirectoryRev($image_dir);
  for($i=0; $i < sizeof($filenames); $i++)
  {
    if($filenames[$i] == $imagename)
    {
      $filen   = "$album/$filename";
      $src_img = "$album/thumb";
      echo "<a href=\"$album/$imagename\"><img src=\"$src_img/$imagename\" border=0></a><br>";
    }
  }

  echo "<form method=\"POST\" enctype=\"MULTIPART/FORM-DATA\"  action=$formAction>
        <textarea name=\"comment\" cols=\"45\" rows=\"3\" wrap=\"VIRTUAL\">$theComment</textarea>
        <input type=\"hidden\" name=\"imagename\" value=\"$idImage\">
        <input type=\"hidden\" name=\"username\" value=\"$username\">
        <input type=\"hidden\" name=\"album\" value=\"$theAlbum\">
        <INPUT TYPE=\"HIDDEN\" NAME=\"action\" VALUE=\"uploadTextImage\"><br>
        <input type=submit value=\"Upload your Caption\"></form>
        </tr>
        </td>
        </table>";
} 

function uploadTextImage($imagename, $user, $album, $comment, $redirect){
  global $directory,
         $databasePath;
 
  $prefs  = checkPrefs($directory);
  if($album == "")
  {
    $album  = trim($prefs[8]);
  }
  $commentFile    = "$databasePath/axiom-data/$directory/imagecomments.txt";
  $theAlbum       = $album;
  $theID          = $imagename;
  $comment        = str_replace("\n", "<br>", $comment);
  $theComment     = strip_tags($comment, '<br><a><b><i><u>');
  //start proceedure for puting new comments
  $imageComments  = getContentsWrite($commentFile);
  $imageID        = $imageComments["ID"];
  $fp             = fopen($commentFile, 'w');
  flock($fp, 2);
  for($i=1;$i<=count($imageID);$i++)
  {
    $identifier   = $imageComments["ID"][$i];
    $imageAlbum   = $imageComments["TITLE"][$i];
    $imageComment = $imageComments["MAIN"][$i];
    $imageDate    = $imageComments["DATE"][$i];
    $imageAuthor  = $imageComments["AUTHOR"][$i];
    $imageVeiws   = $imageComments["VEIWS"][$i];
    $imageRating  = $imageComments["RATE"][$i];
    $imageVotes   = $imageComments["VOTES"][$i];
    if($identifier === $theID && $album === $imageAlbum)
    {
      $imageVeiwsSv   = $imageComments["VEIWS"][$i];
      $imageRatingSv  = $imageComments["RATE"][$i];
      $imageVotesSv   = $imageComments["VOTES"][$i];
      unset($identifier);
      unset($imageAlbum);
      unset($imageComment);
      unset($imageDate);
      unset($imageAuthor);
      unset($imageVeiws);
      unset($imageRating);
      unset($imageVotes);
    }
    for($j=1;$j<=count($identifier);$j++)
    {
      $newCommentString = $identifier."||".$imageAlbum."||".$imageComment."||".$imageDate."||".$imageAuthor."||".$imageVeiws."||".$imageRating."||".$imageVotes."\n";
      fputs($fp, $newCommentString);
    }
  }
  flock($fp, 2);
  fclose($fp);
  $theAuthor        = $user;
  $theDate          = date('m-d-Y');
  $fp               = fopen($commentFile, 'a');
  flock($fp, 2);
  $newCommentString = $theID."||".$theAlbum."||".$theComment."||".$theDate."||".$theAuthor."||".$imageVeiwsSv."||".$imageRatingSv."||".$imageVotesSv."\n";
  fputs ($fp, $newCommentString);
  flock($fp, 3);
  fclose($fp);
  //end
  
  echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">
        <meta http-equiv=\"refresh\" content=\"1;URL=$PHP_SELF?action=displayImages\">
        </head>
        <body bgcolor=\"#FFFFFF\">
          <div align=\"center\">
          <p><font size=\"2\" face=\"Verdana\"><b>Thank you
          for posting comments $username. This page is being generated now. <br>
          You will be sent back automatically.<br>
          </b></font></p>
          <hr noshade size=\"1\">
          <p><font size=\"2\" face=\"Verdana\"><b> </b></font></p>
         </div>";
} 

function displayImagesMain($filename, $directory, $start, $album, $marker, $altAction, $user){

  global $PHPSESSID,
         $PHP_AUTH_USER,
         $galleryAdmin,
         $galleryUser,
         $databasePath,
         $maxPerPage, 
         $action;

  $isAdmin = validateAdmin($galleryAdmin, $PHPSESSID);
  $isUser  = validateUser($galleryUser, $PHPSESSID);
  $col_length = 3;
  $image_dir  = $album;

  if((isset($filename)) && (!isset($newsitem)))
  {
    $commentFile   = "$databasePath/axiom-data/$directory/imagecomments.txt";
    $idImage       = preg_replace("/(.jpg)|(.jpeg)/i", "", $filename);
    $imageComments = getContentsWrite($commentFile);
    $fp            = fopen($commentFile, 'w');
    flock($fp, 2);
    $imageID       = $imageComments["ID"];
    for($i=1;$i<=count($imageID);$i++)
    {
      $identifier   = $imageComments["ID"][$i];
      $imageAlbum   = $imageComments["TITLE"][$i];
      $imageComment = $imageComments["MAIN"][$i];
      $imageDate    = $imageComments["DATE"][$i];
      $imageAuthor  = $imageComments["AUTHOR"][$i];
      $imageVeiws   = $imageComments["VEIWS"][$i];
      $imageRating  = $imageComments["RATE"][$i];
      $imageVotes   = $imageComments["VOTES"][$i];
      if($identifier === $idImage)
      {
        $imageVeiws  = $imageVeiws+1;
      }
      $newCommentString = $identifier."||".$imageAlbum."||".$imageComment."||".$imageDate."||".$imageAuthor."||".$imageVeiws."||".$imageRating."||".$imageVotes."\n";
      fputs($fp, $newCommentString);
    }
    flock($fp, 3);
    fclose($fp);
    
    $filenames = openDirectory($image_dir);
    for($i=0; $i < sizeof($filenames); $i++)
    {
      if($filenames[$i] == $filename)
      {
        $filen = "$album/$filename";
        $size  = getImageSize($filen);
        if ($size[0] > 450)
          $src_img = "$album/big";
        else
          $src_img = "$album";
        echo "<div align=top><a href=\"index.php?action=$action\">Back to $album list</a><br><br>"
             ."<a href=\"#\" onClick=\"picwind=window.open('','smiles','width=$size[0],height=$size[1]');picwind.document.write('<body leftmargin=0 rightmargin=0 topmargin=0 ><img src=$album/$filename>')\">" 
             ."<img src=\"$src_img/$filename\" border=0></a><br></div>";
      }
    }
  }

  if((!isset($filename)) && (!isset($newsitem)))
  {
    echo"<table width=\"100%\" cellpadding=\"2\" cellspacing=\"0\" border=\"0\">";
    $image_dir_sm = "$image_dir/thumb";
    $filenames    = openDirectoryRev($image_dir_sm);
    $totalCount   = count($filenames);
    if($start == "")
    {
      $start = 0;
    }
    $maxPageImg   = $maxPerPage;
    $permCount    = count($filenames);
    if(empty($filenames) && $action != "imageForm")
    {
      echo "<div align=\"center\"><b>No pictures found yet.
            <br>Try uploading some pictures by clicking <a href=\"?action=imageForm\">here.</a></b></div>";
    }
    if($filenames && $action != "imageForm")
    {
      echo "Album Name: $image_dir. <BR> This album contains $permCount pictures. <BR>";
      echo "<hr noshade size=\"1\">";
    }
    for($i=$start; $i < $totalCount; $i++)
    {
      $realName = explode("~", $filenames[$i]);
      if($colcount == $col_length)
      {
        echo ("</tr><tr>\n");
        $colcount = 0;
      }
        echo "<td align=\"center\">"
             ."<a href=\"$PHP_SELF?filename=$filenames[$i]&action=displayImages\">"
             ."<img src=\"$image_dir/thumb/$filenames[$i]\" border=0 alt=\"$filenames[$i]\"><br>"
             ."<font face=\"Verdana\" size=\"2\">$realName[1]</font>";
        if(($isAdmin) && ($altAction == ""))
        {
          echo("<br><a href=\"$PHP_SELF?action=textFormImage&imagename=$filenames[$i]\">
          <font face=\"Arial\" size=\"1\"><b>Add/Change caption.</a>\n");
        }
        if(($isAdmin) && ($altAction == "remove"))
        {
          echo("<br><a href=\"$PHP_SELF?action=delete&filename=$filenames[$i]\">
          <font face=\"Arial\" size=\"1\"><b>Click to Remove.</a>\n");
        }
        else echo"<br>";
        echo"</b></font></td>\n";

        $colcount++;
        $imgCount++;
        if($imgCount == $maxPageImg)
        {
          $totalCount = 0;
        }
      }
    echo "</TABLE><BR><BR>";
    if($start >= $maxPageImg)
    {
      $marker = $start-$maxPageImg;
      echo ("<FONT FACE=\"Arial, Verdana\" SIZE=\"2\">
             <<<A HREF=\"$PHP_SELF?altAction=$altAction&start=$marker&action=$action\"> Previous</A>&nbsp;|&nbsp;&nbsp;</FONT>");
    }
    $totalPages = ceil($permCount/$maxPageImg);
    if($totalPages > 1)
    {
      $i = 1;
      while($i <= $totalPages)
      {
        echo "<a href=\"index.php?altAction=$altAction&start=$pageStart&action=$action\">".$i."</a>&nbsp;";
        $i++;
        $pageStart = $maxPageImg+$pageStart;
      }
    }
    if(($imgCount >= $maxPageImg) && ($permCount > $start+$imgCount))
    {
      $newStart = $start+$imgCount;
      echo ("<FONT FACE=\"Arial, Verdana\" SIZE=\"2\">
             &nbsp;|&nbsp;<A HREF=\"$PHP_SELF?altAction=$altAction&start=$newStart&action=$action\">Next </A>>></FONT>");
    }
  }
} 

function delPhotos($filename, $album, $altAction){
  global $PHP_AUTH_USER,
         $PHPSESSID,
         $galleryAdmin;
 
  $isAdmin = validateAdmin($galleryAdmin, $PHPSESSID);
  
  $image_dir = "$album/thumb";
  if(!isset($filename))
  {
    $col_length = 3;
    echo"<font face=\"Verdana\" size=1><b>Pics Found on Server</b></font>";
    echo"<br><hr length=100% size=\"1\">";
    echo"<table>";
    displayImagesMain($filename, $directory, $start, $album, $marker, $altAction, $user);
  }
}

function delete($filename, $album){
 global $PHP_AUTH_USER,
         $PHPSESSID,
         $galleryAdmin;

  $isAdmin = validateAdmin($galleryAdmin, $PHPSESSID);
  if(!$isAdmin)
   die("What are you doing?");
  $image_dir = "$album/thumb";
  if(!isset($confirm))
  {
    $filenames = openDirectory($image_dir);
    for($i=0; $i < sizeof($filenames); $i++)
    {
      if($filenames[$i] == $filename)
      {
        $filen = "$image_dir/$filename";
        $size  = getImageSize($filen);
        echo "<a href=\"?action=deleteConfirmed&filename=$filename\">
              <img src=\"$image_dir/$filename\" border=0 $proportion></a><br>";
              echo"<font face=\"Verdana\" size=\"2\">
              If you are sure you want to delete this <BR>photo from the server<b> PERMENENTLY</b>, click the photo. <br>
              If you have changed you mind or have made this action in error
              <a href=\"?action=delPhotos&altAction=remove\">click here!</a><BR><BR>";
      }
    }
  }
}


function deleteConfirmed($filename, $album, $directory){
  global $PHP_AUTH_USER,
         $PHPSESSID,
         $galleryAdmin,
         $databasePath;

  $isAdmin = validateAdmin($galleryAdmin, $PHPSESSID);
  if(!$isAdmin)
   die("What are you doing?");

  $commentFile       = "$databasePath/axiom-data/$directory/imagecomments.txt";
  $userCommentFile   = "$databasePath/axiom-data/$directory/usercomments.txt";
  $image_dir         = $album;
  $thums             = "$image_dir/thumb";
  $bigs              = "$image_dir/big";
  $image             = "$image_dir/$filename";
  $imagesm           = "$thums/$filename";
  $imagebg           = "$bigs/$filename";
  $theID             = preg_replace("/(.jpg)|(.jpeg)/i", "", $filename);
  $imageComments     = getContentsWrite($commentFile);
  $userImageComments = getContentsWrite($userCommentFile);
  $imageID           = $imageComments["ID"];
  $fp                = fopen($commentFile, 'w');
  flock($fp, 2);
  for($i=1;$i<=count($imageID);$i++)
  {
    $identifier   = $imageComments["ID"][$i];
    $imageAlbum   = $imageComments["TITLE"][$i];
    $imageComment = $imageComments["MAIN"][$i];
    $imageDate    = $imageComments["DATE"][$i];
    $imageAuthor  = $imageComments["AUTHOR"][$i];
    $imageVeiws   = $imageComments["VEIWS"][$i];
    $imageRating  = $imageComments["RATE"][$i];
    $imageVotes   = $imageComments["VOTES"][$i];
    $imageVotes   = trim($imageVotes);
    $imageVotes   = chop($imageVotes);
    if($identifier === $theID && $album === $imageAlbum)
    {
      unset($identifier);
      unset($imageAlbum);
      unset($imageComment);
      unset($imageDate);
      unset($imageAuthor);
      unset($imageVeiws);
      unset($imageRating);
      unset($imageVotes);
    }
    for($j=1;$j<=count($identifier);$j++)
    {
      $newCommentString = $identifier."||".$imageAlbum."||".$imageComment."||".$imageDate."||".$imageAuthor."||".$imageVeiws."||".$imageRating."||".$imageVotes."\n";
      fputs($fp, $newCommentString);
    }
  }
  flock($fp, 3);
  fclose($fp);
  $imageID = $userImageComments["ID"];
  $fp      = fopen($userCommentFile, 'w');
  flock($fp, 2);
  for($i=1;$i<=count($imageID);$i++)
  {
    $identifier   = $userImageComments["ID"][$i];
    $imageAlbum   = $userImageComments["TITLE"][$i];
    $imageComment = $userImageComments["MAIN"][$i];
    $imageDate    = $userImageComments["DATE"][$i];
    $imageAuthor  = $userImageComments["AUTHOR"][$i];
    $imageVeiws   = $userImageComments["VEIWS"][$i];
    $imageRating  = $userImageComments["RATE"][$i];
    $imageVotes   = $userImageComments["VOTES"][$i];
    $imageVotes   = trim($imageVotes);
    $imageVotes   = chop($imageVotes);
    if($identifier === $theID && $album === $imageVeiws)
    {
      unset($identifier);
      unset($imageAlbum);
      unset($imageComment);
      unset($imageDate);
      unset($imageAuthor);
      unset($imageVeiws);
      unset($imageRating);
      unset($imageVotes);
    }
    for($j=1;$j<=count($identifier);$j++)
    {
      $newCommentString = $identifier."||".$imageAlbum."||".$imageComment."||".$imageDate."||".$imageAuthor."||".$imageVeiws."||".$imageRating."||".$imageVotes."\n";
      fputs($fp, $newCommentString);
    }
  }
  flock($fp, 3);
  fclose($fp);
  unlink($image);
  unlink($imagesm);
  @unlink($imagebg);
  removeImageUserList($album, $directory, 1);

  echo "<html>
        <head>
        <title>$SERVER_NAME Picture Gallery!!</title>
        <meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">
        <meta http-equiv=\"refresh\" content=\"1;URL=$PHP_SELF?action=delPhotos&altAction=remove\">
        </head>
        <body bgcolor=\"#FFFFFF\">
         <div align=\"center\">
         <p>&nbsp;</p>
         <p>&nbsp;</p>
         <p><font size=\"2\" face=\"Verdana\"><b>$filename has been deleted. <br>
         You will be sent back automatically.<br>
         </b></font></p>
         <hr noshade size=\"1\">
         <p><font size=\"2\" face=\"Verdana\"><b> </b></font></p>
         </div>
        </body>
        </html>";
} 

function imageForm($formAction, $user, $galAlbum, $directory, $altAction) {
  global $PHPSESSID,
         $galleryAdmin,
         $galleryUser,
         $databasePath;

  $isAdmin = validateAdmin($galleryAdmin, $PHPSESSID);
  $isUser  = validateUser($galleryUser, $PHPSESSID);
  $albumList  = "$databasePath/axiom-data/$directory/albumlist.txt"; 
  $albumArray = file($albumList);
  //echo $PHP_AUTH_USER;
  $picForm = "<font face=\"Verdana\" size=\"2\"><b>
        <FORM METHOD=\"POST\" ENCTYPE=\"MULTIPART/FORM-DATA\"  ACTION=\"$formAction\">
        <INPUT TYPE=\"HIDDEN\" NAME=\"action\" VALUE=\"uploadImage\">Upload Picture!
        <INPUT TYPE=\"FILE\" NAME=\"userfile\" class=\"button\">
        <INPUT TYPE=\"SUBMIT\" VALUE=\"Upload Pic!\" class=\"button\">
        </FORM>"
       ."<font face=\"Verdana\" size=\"2\">"
       ."<b>To upload, pictures need to be located in a <BR>local directory of the user's computer.<br></b></font>";
  if($albumArray)
  {
  foreach($albumArray as $value)
  {
    if($value)
    {
      $albumSettings = explode(":", $value);
      if($albumSettings[0] === $galAlbum)
      {
        $accessLevel = trim($albumSettings[1]);
        if($accessLevel === "l1" && !$isAdmin)
        {
          echo("<font color=red><b>Only Administrators can upload images. You have no access to this feature.<BR>
                If you are an administrator please login.</font></b>");
          $picForm = "";
        }
        if($accessLevel === "l2" && (!$isUser))
        {
           echo("<font color=red><b>Only Administrators and registered users can upload images. You have no access to this feature.<BR> If you are an administrator or registered user please login.</font></b>");
           $picForm = "";
        }
      }
    }
    }
    echo $picForm;
  }
  $image_dir   = "$album/thumb";
  $col_length  = 3;

  $picForm = "<font face=\"Verdana\" size=\"2\"><b>
        <FORM METHOD=\"POST\" ENCTYPE=\"MULTIPART/FORM-DATA\"  ACTION=\"$formAction\">
        <INPUT TYPE=\"HIDDEN\" NAME=\"action\" VALUE=\"uploadImage\">Upload Picture!
        <INPUT TYPE=\"FILE\" NAME=\"userfile\" class=\"button\">
        <INPUT TYPE=\"SUBMIT\" VALUE=\"Upload Pic!\" class=\"button\">
        </FORM>"
       ."<font face=\"Verdana\" size=\"2\">"
       ."<b>To upload, pictures need to be located in a <BR>local directory of the user's computer.<br></b></font>";
  echo"<BR><font face=\"Verdana\" size=1></b>Pics Found in Album: <b>$galAlbum</b></font>";
  echo"<br><hr length=100% size=\"1\">";
  echo("<table border=1 bordercolor=#999999><tbody><tr>");
  displayImagesMain($filename, $directory, $start, $galAlbum, $marker, $altAction, $PHP_AUTH_USER);
}

function uploadImage($userfile, $album, $directory, $user, $maxImagesPerAlbum, $maxImgSize) {
  global $userfile_name,
         $userfile_size,
         $userfile_type,
         $databasePath;

  $image_dir = $album;

  if(isset($WINDIR)) $userfile = str_replace("\\\\","\\", $userfile);
    $filename = basename($userfile_name);

  if (!(preg_match("/.*(.jpg)|(.jpeg)/i",$filename)))
  {
    echo "Sorry. All extensions are refused except .jpeg and .jpg";
    die("");
  }
  $filename = str_replace(" ", "_", $filename);
  $filename = str_replace("&", "_", $filename);
  $filename = str_replace("+", "_", $filename);
  $filename = str_replace("||", "_", $filename);
  $filename = str_replace("'", "_", $filename);
  $filename = str_replace("\"", "_", $filename);
  $filename = str_replace("#", "_", $filename);
  $filename = str_replace("*", "_", $filename);
  $filename = str_replace("%", "_", $filename);
  $filename = str_replace("^", "_", $filename);

  $filenames = openDirectoryRev($image_dir);
  if($maxImagesPerAlbum != "")
  {
    if(count($filenames) > $maxImagesPerAlbum+1)
    {
        die("<div align=\"center\">
             <p><br>
             <font size=\"2\"><b><font face=\"Verdana, Arial, Helvetica, sans-serif\">You have
             exceeded the limit ($maxImagesPerAlbum) for the number of pictures allowed in your album.<br>
             Please remove some pictures if you wish to continue uploading.</font></b></font></p>
             <font size=\"2\"><b><font face=\"Verdana, Arial, Helvetica, sans-serif\"><a href=\"#\" onClick=\"history.go(-1)\">&lt;&lt;-
             back <br>
             </a>
             <hr noshade size=\"1\">
             </font></b></font> </div>");
    }
  }
   if($userfile_size <= 0)
    die ("<div align=\"center\">
           <p><br>
           <font size=\"2\"><b><font face=\"Verdana, Arial, Helvetica, sans-serif\">You have
           not entered a picture.<br>
           Please enter a picture to upload.</font></b></font></p>
           <font size=\"2\"><b>
            <font face=\"Verdana, Arial, Helvetica, sans-serif\">
            <a href=\"#\" onClick=\"history.go(-1)\">&lt;&lt;-back <br>
            </a>
            <hr noshade size=\"1\">
            </font></b></font> </div>");

  if($userfile_size > $maxImgSize)
    die ("<div align=\"center\">
                        <p><br>
                <font size=\"2\"><b><font face=\"Verdana, Arial, Helvetica, sans-serif\">You have
                exceeded the limit ($maxImgSize) for the size of the pictures allowed in your personal
                directory.<br>
                Please reduce the size of the picture if you wish to continue uploading.</font></b></font></p>
                <font size=\"2\"><b>
                <font face=\"Verdana, Arial, Helvetica, sans-serif\">
                <a href=\"#\" onClick=\"history.go(-1)\">&lt;&lt;-
                back <br></a>
                <hr noshade size=\"1\">
                 </font></b></font> </div>");

  $filename = mtime()."~".$filename;
  $fileb = "$image_dir/$filename";

  if(file_exists($fileb))
    $filename = "2"."$filename";
  if(!@move_uploaded_file($userfile, "$image_dir/$filename"))
    die("Can't copy $userfile_name to $filename.");

  $imagenew      = preg_replace("/(jpg)|(jpeg)/i", "", $filename);
  $source_file   = "$fileb";
  $img_dir       = $album;
  $thumb_folder  = "$img_dir/thumb";
  $thumb_folder2 = "$img_dir/big";
  $thumb_size    = 110;
  $thumb_size2   = 450;
  $source_file   = "$fileb";
  $new_thumb     = "$thumb_folder/$filename";
  $new_thumb2    = "$thumb_folder2/$filename";
  $border        = 0;
  $qual          = 80;
  createImage($thumb_size,$source_file,$new_thumb,100,$border);
 
  $imgsize = getImageSize($source_file);
  $width   = $imgsize[0];
  $height  = $imgsize[1];

  if($width > 450)
  {
    createImage($thumb_size2,$source_file,$new_thumb2,$qual,$border);
  }

  if(isset($WINDIR) && (!@unlink($userfile)))
    die ("Can't delete the file $userfile_name.");

  $filen      = "$album/$filename";
  $size       = getImageSize($filen);

  if ($size[0] > 450)
    $src_dir = "$new_thumb2";
  else
    $src_dir = "$image_dir/$filename";

  if($album == "")
  {
    $prefs = checkPrefs($directory);
    $album = $prefs[8];
  }
  $idImage          = preg_replace("/(.jpg)|(.jpeg)/i", "", $filename);
  $commentFile      = "$databasePath/axiom-data/$directory/imagecomments.txt";
  $theAlbum         = $album;
  $theID            = $idImage;
  $theAuthor        = $user;
  $theDate          = date('m-d-Y');
  $theVeiws         = 0;
  $fp               = fopen($commentFile, 'a+');
  flock($fp, 2);
  $newCommentString = $theID."||".$theAlbum."||".$theComment."||".$theDate."||".$theAuthor."||".$theVeiws."||".$theRating."||".$imageVotes."\n";
  fputs ($fp, $newCommentString);
  flock($fp, 3);
  fclose($fp);
  recordImageUserList($album, $directory);
  
  echo "<img src=\"$src_dir\"><br>";
  echo "<font face=\"verdana\" size=\"2\">$filename has been successfully uploaded.</font><BR>";
  echo "<font face=\"verdana\" size=\"2\">Filesize: " . number_format($userfile_size) . "</font><BR>";
  echo("<font face=\"verdana\" size=\"2\">Filetype: $userfile_type<BR>");
  echo"$source_file";
  echo("<br>");
  echo "<a href=$PHP_SELF?imagename=$filename&action=textFormImage><b>Enter a caption for this image!</a>";
  echo"<br>";
  echo("<a href=\"$PHP_SELF?action=imageForm\">Upload another pic.</a></b></font>");
  echo"<br>";
  echo("<table border=1 bordercolor=#999999><tr>");

  echo "</tr></table>";
}  

function displayImageCaption(){
  global $filename,
         $album,
         $databasePath,
         $directory;

  if(isset($filename))
  {
    $commentFile   = "$databasePath/axiom-data/$directory/imagecomments.txt";
    $idImage       = preg_replace("/(.jpg)|(.jpeg)/i", "", $filename);
    $imageComments = getContents($commentFile);
    $imageID       = $imageComments["ID"];
    for($i=1;$i<=count($imageID);$i++)
    {
      $identifier   = $imageComments["ID"][$i];
      $imageAlbum   = $imageComments["TITLE"][$i];
      $imageComment = $imageComments["MAIN"][$i];
      $imageDate    = $imageComments["DATE"][$i];
      $imageAuthor  = $imageComments["AUTHOR"][$i];
      $imageVeiws   = $imageComments["VEIWS"][$i];
      $imageRating  = $imageComments["RATE"][$i];
      $imageVotes   = $imageComments["VOTES"][$i];
      $imageVotes   = trim($imageVotes);
      $imageVotes   = chop($imageVotes);
      if($identifier === $idImage && $album === $imageAlbum)
      {
        $imageComment = str_replace("<br>", "\n", $imageComment);
        $theComment   = stripslashes($imageComment);
        $theID        = $identifier;
        $theDate      = $imageDate;
        $theAlbum     = $imageAlbum;
        $theAuthor    = $imageAuthor;
        $theVeiws     = $imageVeiws;
        $theRating    = $imageRating;
        $theVotes     = $imageVotes;
        $authorInfo   = $theComment . "<BR></B>Posted By -- " . $imageAuthor. "<BR>on " . $imageDate;
      }
    }
    echo $authorInfo;
  }
}

function batchDoUpload($userfile, $album, $directory, $user, $maxImagesPerAlbum, $uploads, $maxImgSize){

global $userfile_name,
       $userfile_size,
       $userfile_type,
       $databasePath;

  $image_dir = $album;
  for($i=0;$i<count($userfile);$i++)
  {
  if($userfile[$i])
  {
    if(isset($WINDIR)) $userfile[$i] = str_replace("\\\\","\\", $userfile[$i]);
    $filename[$i] = basename($userfile_name[$i]);
    
    $filename[$i] = basename($userfile_name[$i]);
    if (!(preg_match("/.*(.jpg)|(.jpeg)/i",$filename[$i])))
    {
      echo "Sorry. All extensions are refused except .jpeg and .jpg";
      die("");
    }
    $filename[$i] = str_replace(" ", "_", $filename[$i]);
    $filename[$i] = str_replace("&", "_", $filename[$i]);
    $filename[$i] = str_replace("+", "_", $filename[$i]);
    $filename[$i] = str_replace("||", "_", $filename[$i]);
    $filename[$i] = str_replace("'", "_", $filename[$i]);
    $filename[$i] = str_replace("\"", "_", $filename[$i]);
    $filename[$i] = str_replace("#", "_", $filename[$i]);
    $filename[$i] = str_replace("*", "_", $filename[$i]);
    $filename[$i] = str_replace("%", "_", $filename[$i]);
    $filename[$i] = str_replace("^", "_", $filename[$i]);

  $filenames = openDirectory($image_dir);
  if($maxImagesPerAlbum != "")
  {
    if(count($filenames) > $maxImagesPerAlbum+1)
    {
        die("<div align=\"center\">
             <p><br>
             <font size=\"2\"><b><font face=\"Verdana, Arial, Helvetica, sans-serif\">You have
             exceeded the limit ($maxImagesPerAlbum) for the number of pictures allowed in your album.<br>
             Please remove some pictures if you wish to continue uploading.</font></b></font></p>
             <font size=\"2\"><b><font face=\"Verdana, Arial, Helvetica, sans-serif\"><a href=\"#\" onClick=\"history.go(-1)\">&lt;&lt;-
             back <br>
             </a>
             <hr noshade size=\"1\">
             </font></b></font> </div>");
    }
  }
   if($userfile_size[$i] <= 0)
    die ("<div align=\"center\">
           <p><br>
           <font size=\"2\"><b><font face=\"Verdana, Arial, Helvetica, sans-serif\">You have
           not entered a picture.<br>
           Please enter a picture to upload.</font></b></font></p>
           <font size=\"2\"><b>
            <font face=\"Verdana, Arial, Helvetica, sans-serif\">
            <a href=\"#\" onClick=\"history.go(-1)\">&lt;&lt;-back <br>
            </a>
            <hr noshade size=\"1\">
            </font></b></font> </div>");

  if($userfile_size[$i] > $maxImgSize)
    die ("<div align=\"center\">
                        <p><br>
                <font size=\"2\"><b><font face=\"Verdana, Arial, Helvetica, sans-serif\">You have
                exceeded the limit ($maxImgSize) for the size of the pictures allowed in your personal
                directory.<br>
                Please reduce the size of the picture if you wish to continue uploading.</font></b></font></p>
                <font size=\"2\"><b>
                <font face=\"Verdana, Arial, Helvetica, sans-serif\">
                <a href=\"#\" onClick=\"history.go(-1)\">&lt;&lt;-
                back <br></a>
                <hr noshade size=\"1\">
                 </font></b></font> </div>");

  $filename[$i] = mtime()."~".$filename[$i];
  $fileb = "$image_dir/$filename[$i]";

  if(file_exists($fileb))
    $filename[$i] = "2"."$filename[$i]";
  if(!@move_uploaded_file($userfile[$i], "$image_dir/$filename[$i]"))
    die("Can't move uploaded file: $userfile_name[$i] to $filename[$i].");

  $imagenew      = preg_replace("/(jpg)|(jpeg)/i", "", $filename[$i]);
  $source_file   = "$fileb";
  $img_dir       = $album;
  $thumb_folder  = "$img_dir/thumb";
  $thumb_folder2 = "$img_dir/big";
  $thumb_size    = 110;
  $thumb_size2   = 450;
  $source_file   = "$fileb";
  $new_thumb     = "$thumb_folder/$filename[$i]";
  $new_thumb2    = "$thumb_folder2/$filename[$i]";
  $border        = 0;
  $qual          = 80;
  createImage($thumb_size,$source_file,$new_thumb,100,$border);
 
  $imgsize = getImageSize($source_file);
  $width   = $imgsize[0];
  $height  = $imgsize[1];

  if($width > 450)
  {
    createImage($thumb_size2,$source_file,$new_thumb2,$qual,$border);
  }

  if(isset($WINDIR) && (!@unlink($userfile[$i])))
    die ("Can't delete the file $userfile_name[$i].");

  $filen      = "$album/$filename[$i]";
  $size       = getImageSize($filen);

  if ($size[0] > 450)
    $src_dir = "$new_thumb2";
  else
    $src_dir = "$image_dir/$filename[$i]";

  if($album == "")
  {
    $prefs = checkPrefs($directory);
    $album = $prefs[8];
  }
  $idImage          = preg_replace("/(.jpg)|(.jpeg)/i", "", $filename[$i]);
  $commentFile      = "$databasePath/axiom-data/$directory/imagecomments.txt";
  $theAlbum         = $album;
  $theID            = $idImage;
  $theAuthor        = $user;
  $theDate          = date('m-d-Y');
  $theVeiws         = 0;
  $fp               = fopen($commentFile, 'a+');
  flock($fp, 2);
  $newCommentString = $theID."||".$theAlbum."||".$theComment."||".$theDate."||".$theAuthor."||".$theVeiws."||".$theRating."||".$imageVotes."\n";
  fputs ($fp, $newCommentString);
  flock($fp, 3);
  fclose($fp);
  recordImageUserList($album, $directory);
  
  echo "<img src=\"$new_thumb\"><br>";
  echo "<font face=\"verdana\" size=\"2\">$filename[$i] has been successfully uploaded.</font><BR>";
  echo "<font face=\"verdana\" size=\"2\">Filesize: " . number_format($userfile_size[$i]) . "</font><BR>";
  echo("<font face=\"verdana\" size=\"2\">Filetype: $userfile_type[$i]<BR>");
  echo"$source_file";
  echo("<br>");
  echo "<a href=$PHP_SELF?imagename=$filename[$i]&action=textFormImage><b>Enter a caption for this image!</a>";
  //echo"<br>";
  //echo("<a href=\"$PHP_SELF?action=imageForm\">Upload another pic.</a></b></font>");
  //echo"<br>";
  echo("<table border=1 bordercolor=#999999><tr>");

  echo "</tr></table>";
  }
  }
}  

function batchUploadForm($uploads, $album, $directory, $user){
  global $PHPSESSID,
         $PHP_AUTH_USER,
         $galleryAdmin,
         $galleryUser;

  $isAdmin = validateAdmin($galleryAdmin, $PHPSESSID);
  $isUser  = validateUser($galleryUser, $PHPSESSID); 
  if(!$isAdmin)
  {
    die("only administrators are allowed to use the batch upload function.<BR>if you are an admin please login.");
  }
  if($uploads <= 1) 
  { 
    $uploads = 5; 
  } 
  $fields = $uploads + $uploads; 

  echo "<form action=\"$PHP_SELF\" method=\"POST\" enctype=\"multipart/form-data\">\n"
       ."<table border=\"0\" cellpadding=\"0\" cellspacing=\"3\"><tr><td>\n" 
     //."<b>Name:</b></td><td>\n"
     //."<b>File Location:</b>"
       ."</td></tr>\n";

  for($i=1;$i<=$uploads;$i++) 
  { 
      //echo "<tr><td><input type=\"text\" name=\"fileName[]\" value=\"example$i.jpg\" size=\"13\"></td><td>\n"; 
      echo"<input type=\"file\" name=\"userfile[]\" size=\"25\"></td></tr>\n"; 
  } 

  echo "<tr><td align=\"center\">\n"
       ."<input type=hidden name=uploads value=$uploads>\n"
       ."<input type=hidden name=action value=batchDoUpload>\n"
       ."<input type=\"submit\" value=\"UPLOAD\"></td><td>\n" 
       ."<a href=\"$PHP_SELF?action=batchUploadForm&uploads=$fields\">More Upload Fields</a></td></tr>"
       ."</table>\n"
       ."</form>\n"; 
}

?>
