<?

/***************************************************************************
* Picture/News Gallery Version 0.5.0b (axiom)                              *
*	Copyright (c) 2002 BY Geoffrey Golliher	<cid441@hotmail.com>       *
*   please see licence.txt for usage					   *
*	Creation Date 04/20/2001					   *
*                                                                          *
* This program is free software. You can redistribute it and/or modify     *
* it under the terms of the GNU General Public License as published by     *
* the Free Software Foundation; either version 2 of the License.           *
***************************************************************************/

/***************************************************************/
/* ORIGINAL THEME NAME: Karate                                 */
/* ORIGINAL THEME DEVELOPER: Somara Sem (http://www.somara.com)*/
/* LAST MODIFIED: 03/14/2002 by sickphp.com                    */
/***************************************************************/

/***********************************************************
* Theme Colors Definition                                  *
*                                                          *
***********************************************************/
$configFile = "../config.inc";
$userPrefs  = "../preferenceFunctions.inc";
include_once($configFile);
include_once($userPrefs);
$bgcolor1 = "#FFFFFE";
$bgcolor2 = "#FFFFFE";
$bgcolor3 = "#efefef";
$bgcolor4 = "#EFCE6B";
$textcolor1 = "#000000";
$textcolor2 = "#000000";

/***********************************************************
* OpenTable Functions                                      *
*                                                          *
***********************************************************/

function OpenTable() {
    global $bgcolor1, $bgcolor2;
    echo "<table width=\"450\" height=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"0\" bgcolor=\"$bgcolor2\"><tr><td>\n";
    echo "<table width=\"450\" height=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" bgcolor=\"$bgcolor1\"><tr><td align=\"center\">\n";
}

function CloseTable() {
    echo "</td></tr></table></td></tr></table>\n";
}

function OpenTable3() {
    echo "<table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"0\" bgcolor=\"#333333\"><tr><td>\n";
    echo "<table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" bgcolor=\"#FFFFFF\"><tr><td>";
}

function OpenTable4() {
    global $bgcolor4, $bgcolor3;
    echo "<table width=\"80%\" border=\"0\" cellspacing=\"1\" cellpadding=\"0\" bgcolor=\"$bgcolor4\"><tr><td>\n";
    echo "<table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" bgcolor=\"$bgcolor3\"><tr><td>";
}

function OpenTable2() {
    global $bgcolor3, $bgcolor4;
    echo "<table width=\"100%\" height=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"0\" bgcolor=\"$bgcolor4\" align=\"center\"><tr><td>\n";
    echo "<table width=\"100%\" height=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"8\" bgcolor=\"$bgcolor3\"><tr><td>\n";
}

function CloseTable2() {
    echo "</td></tr></table></td></tr></table>\n";
}

/***********************************************************
* Function galleryheader()                                 *
*                                                          *
***********************************************************/

function galleryheader() {
    global $newsBlock,
           $directory,
           $homeLink,
           $PHP_AUTH_USER,
           $galleryAdmin,
           $galleryUser,
           $PHPSESSID;

    $isAdmin = validateAdmin($galleryAdmin, $PHPSESSID);
    $isUser  = validateUser($galleryUser, $PHPSESSID);

    $newsFeature = checkPrefs($directory); 
    $public = $newsFeature[7];
    if($newsBlock && $newsFeature[0])
    {
     if(($newsFeature[4] === "1" && $isAdmin) || ($newsFeature[4] === "2" && $isUser || $isAdmin) || $newsFeature[4] === "3")
     {
      $newsLink = "<td width=\"75\" height=\"19\" bgcolor=\"#ffffff\" align=\"right\" valign=\"bottom\">\n"
                  ."<a href=\"?action=newsForm\"><img src=\"../themes/sickphp/images/submit_news.gif\" width=\"75\" height=\"19\" border=\"0\" alt=\"submit news\"></a></td>\n";
     }
      $newsList = "<td width=\"74\" height=\"19\" bgcolor=\"#ffffff\" align=\"right\" valign=\"bottom\">\n"
                  ."<a href=\"?action=listNews\"><img src=\"../themes/sickphp/images/top_ten.gif\" width=\"74\" height=\"19\" border=\"0\" alt=\"List News\"></a>";
    }
    if($public && !$isAdmin && !$isUser)
    {
      $loginLink = "<td width=\"75\" height=\"19\" bgcolor=\"#ffffff\" align=\"right\" valign=\"bottom\">\n
                    <a href=\"user_login.php\"><img src=\"../themes/sickphp/images/login.gif\" width=\"75\" height=\"19\" border=\"0\" alt=\"Login\"></a></td>\n";
    }
    if($public && ($isAdmin || $isUser))
    {
      $loginLink = "<td width=\"75\" height=\"19\" bgcolor=\"#ffffff\" align=\"right\" valign=\"bottom\">\n
                    <a href=\"user_logout.php\"><img src=\"../themes/sickphp/images/logout.gif\" width=\"75\" height=\"19\" border=\"0\" alt=\"Login\"></a></td>\n";
    }
    if(!$isAdmin || !$isUser && !$newsFeature[6])
    {
      $welcomeOrSign = "<a href=\"$PHP_SELF?action=newUser\">Sign up!</a>";
    }
    if($isAdmin || $isUser)
    {
      $welcomeOrSign = "Welcome $PHP_AUTH_USER!";
    }
    echo "<br>\n"
	."<table cellpadding=\"0\" cellspacing=\"0\" width=\"775\" border=\"0\" align=\"center\" bgcolor=\"#ffffff\">\n"
	."<tr>\n"
	."<td bgcolor=\"#ffffff\" width=\"550\">\n"
	."<a href=\"$homeLink\"><img src=\"../themes/sickphp/images/logo.gif\" align=\"left\" border=\"0\"></a></td>\n"
	."<td width=\"74\" height=\"19\" bgcolor=\"#ffffff\" align=\"right\" valign=\"bottom\">\n"
	."<a href=\"index.php\"><img src=\"../themes/sickphp/images/home.gif\" width=\"74\" height=\"19\" border=\"0\" alt=\"home\"></a></td>\n"
	.$newsLink
	."<td width=\"75\" height=\"19\" bgcolor=\"#ffffff\" align=\"right\" valign=\"bottom\">\n"
	."<a href=\"?action=imageForm\"><img src=\"../themes/sickphp/images/web_search.gif\" width=\"75\" height=\"19\" border=\"0\" alt=\"submit photos\"></a></td>\n"
        .$loginLink
        .$newsList
	."</td>\n"
	."</tr>\n"
	."</table>\n"
	."<table cellpadding=\"0\" cellspacing=\"0\" width=\"775\" border=\"0\" align=\"center\" bgcolor=\"#ffffff\">\n"
	."<tr>\n"
	."<td bgcolor=\"#F3E1AF\">\n"
	."<img src=\"../themes/sickphp/images/tophighlight.gif\" width=\"775\" height=\"5\"></td>\n"
	."</tr>\n"
	."</table>\n"
	."<table cellpadding=\"0\" cellspacing=\"0\" width=\"775\" border=\"0\" align=\"center\" bgcolor=\"#ffffff\">\n"
	."<tr valign=\"middle\">\n"
	."<td width=\"400\" bgcolor=\"#F3E1AF\" align=\"left\">\n"
	."&nbsp;</td>\n"
	."<td bgcolor=\"#F3E1AF\" align=\"center\">\n";
	

        /*."<form action=\"search.php\" method=\"post\"><font class=\"content\" color=\"#000000\"><b>"._SEARCH." </b>\n"
	."<input type=\"text\" name=\"query\" size=\"14\"></font></form></td>\n"
	."<td bgcolor=\"#F3E1AF\" align=\"center\">\n"
	."<form action=\"search.php\" method=\"get\"><font class=\"content\"><b>"._TOPICS." </b>\n";
        echo "<select name=\"topic\"onChange='submit()'>\n"
	."<option value=\"\">"._ALLTOPICS."</option>\n";
	echo "<option $sel value=\"$topicid\">$topics</option>\n";
        echo "</select></font></form>*/
        

        echo "</td>\n"
	."</tr></table>\n"
	."<table cellpadding=\"0\" cellspacing=\"0\" width=\"775\" border=\"0\" align=\"center\" bgcolor=\"#fefefe\">\n"
	."<tr>\n"
	."<td bgcolor=\"#000000\" colspan=\"4\"><IMG src=\"../themes/sickphp/images/pixel.gif\" width=\"1\" height=1 alt=\"\" border=\"0\" hspace=\"0\"></td>\n"
	."</tr>\n"
	."<tr valign=\"middle\" bgcolor=\"#EECC7B\">\n"
	."<td width=\"15%\" nowrap><font face=\"Arial, Verdana\" size=\"2\" class=\"content\" color=\"#000000\">\n";
	echo "&nbsp;&nbsp;$welcomeOrSign &nbsp;&nbsp;";
    echo "</font></td>\n"
	."<td align=\"center\" height=\"20\" width=\"60%\"><font face=\"Arial, Verdana\" size=\"2\" class=\"content\">\n"
        ."&nbsp;\n"
        ."</td>\n"
        ."<td align=\"right\" width=\"25%\"><font face=\"Arial, Verdana\" size=\"2\" class=\"content\">\n"
        ."<script type=\"text/javascript\">\n\n"
        ."<!--   // Array ofmonth Names\n"
        ."var monthNames = new Array( \"January\",\"February\",\"March\",\"April\",\"May\",\"June\",\"July\",\"August\",\"September\",\"October\",\"November\",\"December\");\n"
        ."var now = new Date();\n"
        ."thisYear = now.getYear();\n"
        ."if(thisYear < 1900) {thisYear += 1900}; // corrections if Y2K display problem\n"
        ."document.write(monthNames[now.getMonth()] + \" \" + now.getDate() + \", \" + thisYear);\n"
        ."// -->\n\n"
        ."</script></font></td>\n"
        ."<td>&nbsp;</td>\n"
        ."</tr>\n"
        ."<tr>\n"
        ."<td bgcolor=\"#000000\" colspan=\"4\"><IMG src=\"../themes/sickphp/images/pixel.gif\" width=\"1\" height=\"1\" alt=\"\" border=\"0\" hspace=\"0\"></td>\n"
        ."</tr>\n"
        ."</table>\n";
}

/***********************************************************
* Function themefooter()                                   *
*                                                          *
***********************************************************/

function themefooter() {
    global $index;
    echo "</td>\n"
	."</tr></table>\n"
        ."<table bgcolor=\"#000000\" width=\"80%\" cellpadding=\"0\" cellspacing=\"0\" border=\"0\" align=\"center\">\n"
        ."<tr>\n"
        ."<td width=\"80%\" height=\"5\"><img src=\"../themes/sickphp/images/bottombar.gif\" width=\"80%\" height=\"5\" border=\"0\" alt=\"\"></td>\n"
        ."</tr>\n"
        ."<tr>\n"
        ."<td width=\"100%\"><img src=\"../themes/sickphp/images/pixel.gif\" width=\"1\" height=\"1\" border=\"0\" alt=\"\"></td>\n"
        ."</tr>\n"
        ."</table>\n"
        ."<br>\n"
        ."<br>\n"
        ."<table width=\"80%\" cellpadding=\"0\" cellspacing=\"0\" border=\"0\" align=\"center\">\n"
        ."<tr align=\"center\">\n"
        ."<td width=\"100%\" colspan=\"3\">\n";
    footmsg();
    echo "</td>\n"
        ."</tr>\n"
        ."</table>\n";
}

/***********************************************************
* Function themesidebox()                                  *
*                                                          *
***********************************************************/

function themesidebox($title, $content, $placeID, $height=0) {
    echo "<table id=\"$placeID\" width=\"150\" cellpadding=\"0\" cellspacing=\"0\" border=\"0\" bgcolor=\"#666666\" onmouseover=\"this.style.backgroundColor='#000000'\" onmouseout=\"this.style.backgroundColor='#666666'\">\n"
        ."<tr>\n"
        ."<td>\n"
        ."<table width=\"100%\" cellpadding=\"0\" cellspacing=\"1\" border=\"0\">\n" 
        ."<tr bgcolor=\"#F3E1AF\">\n"
        ."<td bgcolor=\"#F3E1AF\" align=\"center\">\n"
        ."<font face=\"Verdana, Arial, Tahoma\" size=\"2\" class=\"content\" color=\"#000000\"><b>$title</b></font></td>\n"
        ."</tr>\n"
        ."<tr bgcolor=\"#FBFBFB\" onmouseover=\"this.style.backgroundColor='#FFFFFF'\" onmouseout=\"this.style.backgroundColor='#FBFBFB'\">\n"
        ."<td bgcolor=\"#FBFBFB\" onmouseover=\"this.style.backgroundColor='#FFFFFF'\" onmouseout=\"this.style.backgroundColor='#FBFBFB'\" align=\"center\">\n"
        ."$content\n"
        ."</td></tr></table></td></tr></table>\n"
        ."<table cellpadding=\"0\" cellspacing=\"0\" border=\"0\" width=\"1\" height=\"3\">\n"
        ."<tr><td height=\"3\"><img src=\"images/pix.gif\" height=\"3\" width=\"1\"></td></tr></table>\n\n\n";
}
?>
